<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2014-09-29 01:44:16'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright � 2012-2016 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='#DOCUMENTS'
TITLE_EXPR='title = "Index";

(parentTitle = getStringParam("windowTitle")) != null
  ? title + " | " + parentTitle : title'
HTML_HEAD_EXPR='title = "Index";

(parentTitle = getStringParam("windowTitle")) != null
  ? title = title + " | " + parentTitle;

\'<script type="text/javascript">
    window.onload = function() {
        parent.document.title="\' + encodeJScriptString (title) + \'";
    }
</script>\''
<TEMPLATE_PARAMS>
	PARAM={
		param.name='windowTitle';
		param.title='Window Title';
		param.type='string';
		param.trimSpaces='true';
		param.collapseSpaces='true';
		param.noEmptyString='true';
	}
	PARAM={
		param.name='nav';
		param.title='Navigation';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='nav.bar';
		param.title='Navigation Bar';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	HR_STYLE={
		style.name='Detail Separator';
		style.id='hrs1';
		hr.lineStyle='dashed';
		hr.color='#999999';
		hr.margin.top='10';
		hr.margin.bottom='10';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps1';
		style.default='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs2';
}
<HTARGET>
	HKEYS={
		'"index"';
	}
</HTARGET>
<ROOT>
	<TEMPLATE_CALL>
		COND='output.type == "document" && output.demoIncomplete'
		TEMPLATE_FILE='demo-incomplete.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='Navigation Bar'
		COND='output.type == "document" && getBooleanParam("nav.bar")'
		TEMPLATE_FILE='navbar.tpl'
		PASSED_PARAMS={
			'$navbar_type','"index"';
			'$navbar_location','"header"';
		}
	</TEMPLATE_CALL>
	<ELEMENT_ITER>
		DESCR='iterate by letters'
		TARGET_ET='#CUSTOM'
		SCOPE='custom'
		ELEMENT_ENUM_EXPR='toCustomElements (getElementMapKeys ("index"))'
		SORTING='by-expr'
		SORTING_KEY={expr='/* this sorting key places \'_\' at the end of the list */

letter = contextElement.value.toString();
letter != "_" ? "!" + letter : letter',ascending}
		<BODY>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='index-letter.tpl'
			</TEMPLATE_CALL>
			<AREA_SEC>
				COND='! iterator.isLastItem'
				FMT={
					sec.spacing.before='12';
				}
				<AREA>
					<HR>
						FMT={
							hr.style='hrs1';
						}
					</HR>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
	<TEMPLATE_CALL>
		DESCR='Navigation Bar & bottom message'
		TEMPLATE_FILE='navbar-bottom.tpl'
		PASSED_PARAMS={
			'$navbar_type','"index"';
		}
	</TEMPLATE_CALL>
</ROOT>
CHECKSUM='UXa7PMiGyR9USLZRssfPYLubtQyC0bh1m6Wi37UNLlw'
</FLEXDOCXYZ_TEMPLATE>