<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2004-06-21 01:50:00'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='#DOCUMENTS'
TITLE_EXPR='title = "Overview";

(parentTitle = getStringParam("windowTitle")) != null
  ? title + " | " + parentTitle : title'
HTML_HEAD_EXPR='title = "Overview";

(parentTitle = getStringParam("windowTitle")) != null
  ? title = title + " | " + parentTitle;

\'<script type="text/javascript">
    window.onload = function() {
        parent.document.title="\' + encodeJScriptString (title) + \'";
    }
</script>\''
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$page.heading.left';
		param.title='Page Heading (on the left)';
		param.description='Specify this parameter to be automatically passed over to subtemplates';
		param.type='string';
		param.defaultValue='Overview';
	}
	PARAM={
		param.name='docTitle';
		param.title='Documentation Title';
		param.type='text';
	}
	PARAM={
		param.name='windowTitle';
		param.title='Window Title';
		param.type='string';
		param.trimSpaces='true';
		param.collapseSpaces='true';
		param.noEmptyString='true';
	}
	PARAM={
		param.name='doc.overview';
		param.title='Overview Summary';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.overview.description';
		param.title='Description';
		param.type='text';
	}
	PARAM={
		param.name='doc.overview.namespaces';
		param.title='Namespace Summary';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.namespaces.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.wsdl.files';
		param.title='WSDL File Summary';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.wsdl.files.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.wsdl.files.description';
		param.title='Description';
		param.type='enum';
		param.enum.values='first_sentence;full;none';
		param.enum.displayValues='first sentence;full;none';
	}
	PARAM={
		param.name='doc.overview.wsdl.files.profile';
		param.title='WSDL File Profile';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.wsdl.files.profile.targetNamespace';
		param.title='Target Namespace';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.wsdl.files.profile.types.schemas';
		param.title='Types / Schemas';
		param.type='enum';
		param.enum.values='list;summary;none';
	}
	PARAM={
		param.name='doc.overview.wsdl.files.profile.defs';
		param.title='WSDL Definitions';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.wsdl.files.profile.relatedWSDLs';
		param.title='Related WSDL Files';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.xsd.files';
		param.title='Schema File Summary';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.xsd.files.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.xsd.files.annotation';
		param.title='Annotation';
		param.type='enum';
		param.enum.values='first_sentence;full;none';
		param.enum.displayValues='first sentence;full;none';
	}
	PARAM={
		param.name='doc.overview.xsd.files.profile';
		param.title='Schema Profile';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.xsd.files.profile.targetNamespace';
		param.title='Target Namespace';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.xsd.files.profile.version';
		param.title='Version';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.xsd.files.profile.components';
		param.title='Components';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.xsd.files.profile.formDefault';
		param.title='Default NS-Qualified Form';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.xsd.files.profile.blockDefault';
		param.title='Default Block Attribute';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.xsd.files.profile.blockDefault.value';
		param.title='Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.xsd.files.profile.blockDefault.meaning';
		param.title='Meaning';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.xsd.files.profile.finalDefault';
		param.title='Default Final Attribute';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.xsd.files.profile.finalDefault.value';
		param.title='Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.xsd.files.profile.finalDefault.meaning';
		param.title='Meaning';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.overview.xsd.files.profile.relatedSchemas';
		param.title='Related Schemas';
		param.type='boolean';
	}
	PARAM={
		param.name='nav';
		param.title='Navigation';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='nav.bar';
		param.title='Navigation Bar';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='page.start';
		param.title='Start from new page';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.start.overview';
		param.title='Overview Summary';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Description';
		style.id='cs2';
	}
	PAR_STYLE={
		style.name='Detail Heading 1';
		style.id='ps1';
		text.font.name='Arial';
		text.font.size='16';
		text.font.style.bold='true';
		par.margin.top='10';
		par.margin.bottom='10';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs3';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps2';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs4';
		text.font.style.italic='true';
	}
	PAR_STYLE={
		style.name='Summary Heading (Level 2)';
		style.id='ps3';
		style.description='This style is used for those summaries, whose heading must get into Table of Contents. Otherwise, it is the same as the normal \'Summary Heading\' style.';
		text.font.size='12';
		text.font.style.bold='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs3';
}
<HTARGET>
	HKEYS={
		'"overview-summary"';
	}
</HTARGET>
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			text.style='cs4';
		}
		<AREA>
			<CTRL_GROUP>
				FMT={
					par.border.bottom.style='solid';
				}
				<CTRLS>
					<TEXT_CTRL>
						TEXT='Overview'
					</TEXT_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<FOLDER>
		DESCR='CASE OF SEPARATE FILE OUTPUT (\'overview-summary.html\')'
		COND='output.type == "document"'
		BREAK_PARENT_BLOCK='when-executed'
		<BODY>
			<TEMPLATE_CALL>
				COND='output.demoIncomplete'
				TEMPLATE_FILE='demo-incomplete.tpl'
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='Navigation Bar'
				COND='getBooleanParam("nav.bar")'
				TEMPLATE_FILE='navbar.tpl'
				PASSED_PARAMS={
					'$navbar_type','"overview"';
					'$navbar_location','"header"';
				}
			</TEMPLATE_CALL>
			<AREA_SEC>
				FMT={
					par.style='ps1';
					par.alignment='Center';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							txtfl.separator.type='none';
						}
						<CTRLS>
							<DATA_CTRL>
								EXPR='getParam("docTitle")'
								FMT={
									txtfl.ehtml.render='true';
								}
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<FOLDER>
				DESCR='first sentence of description'
				COND='text = getStringParam("doc.overview.description").trim();
! text.isBlank() ?
{
  first_sentence = firstSentence (text);
  thisContext.setVar ("desc_first_sentence", first_sentence);
  thisContext.setVar ("has_long_desc", text != first_sentence);
  true
} : {
  thisContext.setVar ("has_long_desc", false);
  false
}'
				FMT={
					text.style='cs2';
				}
				<BODY>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<DATA_CTRL>
										EXPR='thisContext.getVar ("desc_first_sentence")'
										FMT={
											txtfl.ehtml.render='true';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='thisContext.getBooleanVar ("has_long_desc")'
						<AREA>
							<CTRL_GROUP>
								FMT={
									par.margin.top='10';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='See:'
										FMT={
											text.font.style.bold='true';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
							<CTRL_GROUP>
								FMT={
									row.indent.block='true';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Description'
										FMT={
											text.font.style.bold='true';
										}
										<DOC_HLINK>
											HKEYS={
												'contextElement.id';
												'"description"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<TEMPLATE_CALL>
				DESCR='namespace summary'
				COND='getBooleanParam("doc.overview.namespaces")'
				TEMPLATE_FILE='namespace/namespaceSummary.tpl'
				PASSED_PARAMS={
					'doc.frgm.namespaces.sorting','getBooleanParam("doc.overview.namespaces.sorting")';
				}
				FMT={
					sec.spacing.before='12';
				}
				<HTARGET>
					HKEYS={
						'"namespace-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='WSDL file summary'
				COND='getBooleanParam("doc.overview.wsdl.files")'
				TEMPLATE_FILE='wsdl/file/wsdlSummary.tpl'
				PASSED_PARAMS={
					'doc.frgm.wsdl.files.sorting','getBooleanParam("doc.overview.wsdl.files.sorting")';
					'doc.frgm.wsdl.files.description','getStringParam("doc.overview.wsdl.files.description")';
					'doc.frgm.wsdl.files.profile','getBooleanParam("doc.overview.wsdl.files.profile")';
					'doc.frgm.wsdl.files.profile.targetNamespace','getBooleanParam("doc.overview.wsdl.files.profile.targetNamespace")';
					'doc.frgm.wsdl.files.profile.types.schemas','getStringParam("doc.overview.wsdl.files.profile.types.schemas")';
					'doc.frgm.wsdl.files.profile.defs','getBooleanParam("doc.overview.wsdl.files.profile.defs")';
					'doc.frgm.wsdl.files.profile.relatedWSDLs','getBooleanParam("doc.overview.wsdl.files.profile.relatedWSDLs")';
				}
				FMT={
					sec.spacing.before='12';
				}
				<HTARGET>
					HKEYS={
						'"wsdl-file-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='schema summary'
				COND='getBooleanParam("doc.overview.xsd.files")'
				TEMPLATE_FILE='xsd/schema/schemaSummary.tpl'
				PASSED_PARAMS={
					'doc.frgm.xsd.schemas.sorting','getBooleanParam("doc.overview.xsd.files.sorting")';
					'doc.frgm.xsd.schemas.annotation','getStringParam("doc.overview.xsd.files.annotation")';
					'doc.frgm.xsd.schemas.profile','getBooleanParam("doc.overview.xsd.files.profile")';
					'doc.frgm.xsd.schemas.profile.targetNamespace','getBooleanParam("doc.overview.xsd.files.profile.targetNamespace")';
					'doc.frgm.xsd.schemas.profile.version','getBooleanParam("doc.overview.xsd.files.profile.version")';
					'doc.frgm.xsd.schemas.profile.components','getBooleanParam("doc.overview.xsd.files.profile.components")';
					'doc.frgm.xsd.schemas.profile.formDefault','getBooleanParam("doc.overview.xsd.files.profile.formDefault")';
					'doc.frgm.xsd.schemas.profile.blockDefault','getBooleanParam("doc.overview.xsd.files.profile.blockDefault")';
					'doc.frgm.xsd.schemas.profile.blockDefault.value','getBooleanParam("doc.overview.xsd.files.profile.blockDefault.value")';
					'doc.frgm.xsd.schemas.profile.blockDefault.meaning','getBooleanParam("doc.overview.xsd.files.profile.blockDefault.meaning")';
					'doc.frgm.xsd.schemas.profile.finalDefault','getBooleanParam("doc.overview.xsd.files.profile.finalDefault")';
					'doc.frgm.xsd.schemas.profile.finalDefault.value','getBooleanParam("doc.overview.xsd.files.profile.finalDefault.value")';
					'doc.frgm.xsd.schemas.profile.finalDefault.meaning','getBooleanParam("doc.overview.xsd.files.profile.finalDefault.meaning")';
					'doc.frgm.xsd.schemas.profile.relatedSchemas','getBooleanParam("doc.overview.xsd.files.profile.relatedSchemas")';
				}
				FMT={
					sec.spacing.before='12';
				}
				<HTARGET>
					HKEYS={
						'"schema-file-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
			<AREA_SEC>
				DESCR='full description'
				COND='thisContext.getBooleanVar ("has_long_desc")'
				FMT={
					text.style='cs2';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"description"';
					}
				</HTARGET>
				<AREA>
					<SPACER>
						FMT={
							spacer.height='18';
						}
					</SPACER>
					<CTRL_GROUP>
						<CTRLS>
							<DATA_CTRL>
								EXPR='getStringParam("doc.overview.description")'
								FMT={
									ctrl.option.text.noBlankOutput='true';
									txtfl.ehtml.render='true';
								}
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				DESCR='Navigation Bar & bottom message'
				COND='output.type == "document"'
				TEMPLATE_FILE='navbar-bottom.tpl'
				PASSED_PARAMS={
					'$navbar_type','"overview"';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		DESCR='CASE OF FRAGMENT OF SINGLE-FILE DOCUMENTATION'
		<BODY>
			<AREA_SEC>
				FMT={
					par.style='ps1';
				}
				<AREA>
					<PAGE_BREAK>
						COND='getBooleanParam("page.start.overview")'
					</PAGE_BREAK>
					<CTRL_GROUP>
						FMT={
							txtfl.separator.type='none';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Overview'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='full description'
				FMT={
					sec.spacing.after='14';
					text.style='cs2';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"description"';
					}
				</HTARGET>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<DATA_CTRL>
								EXPR='getStringParam("doc.overview.description")'
								FMT={
									ctrl.option.text.noBlankOutput='true';
									txtfl.ehtml.render='true';
								}
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				DESCR='namespace summary'
				COND='getBooleanParam("doc.overview.namespaces")'
				TEMPLATE_FILE='namespace/namespaceSummary.tpl'
				PASSED_PARAMS={
					'doc.frgm.namespaces.sorting','getBooleanParam("doc.overview.namespaces.sorting")';
				}
				STYLE_OVERRIDES={
					'Summary Heading','ps3';
				}
				FMT={
					sec.spacing.before='12';
				}
				<HTARGET>
					HKEYS={
						'"namespace-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='WSDL file summary'
				COND='getBooleanParam("doc.overview.wsdl.files")'
				TEMPLATE_FILE='wsdl/file/wsdlSummary.tpl'
				PASSED_PARAMS={
					'doc.frgm.wsdl.files.sorting','getBooleanParam("doc.overview.wsdl.files.sorting")';
					'doc.frgm.wsdl.files.description','getStringParam("doc.overview.wsdl.files.description")';
					'doc.frgm.wsdl.files.profile','getBooleanParam("doc.overview.wsdl.files.profile")';
					'doc.frgm.wsdl.files.profile.targetNamespace','getBooleanParam("doc.overview.wsdl.files.profile.targetNamespace")';
					'doc.frgm.wsdl.files.profile.types.schemas','getStringParam("doc.overview.wsdl.files.profile.types.schemas")';
					'doc.frgm.wsdl.files.profile.defs','getBooleanParam("doc.overview.wsdl.files.profile.defs")';
					'doc.frgm.wsdl.files.profile.relatedWSDLs','getBooleanParam("doc.overview.wsdl.files.profile.relatedWSDLs")';
				}
				STYLE_OVERRIDES={
					'Summary Heading','ps3';
				}
				FMT={
					sec.spacing.before='12';
				}
				<HTARGET>
					HKEYS={
						'"wsdl-file-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='schema summary'
				COND='getBooleanParam("doc.overview.xsd.files")'
				TEMPLATE_FILE='xsd/schema/schemaSummary.tpl'
				PASSED_PARAMS={
					'doc.frgm.xsd.schemas.sorting','getBooleanParam("doc.overview.xsd.files.sorting")';
					'doc.frgm.xsd.schemas.annotation','getStringParam("doc.overview.xsd.files.annotation")';
					'doc.frgm.xsd.schemas.profile','getBooleanParam("doc.overview.xsd.files.profile")';
					'doc.frgm.xsd.schemas.profile.targetNamespace','getBooleanParam("doc.overview.xsd.files.profile.targetNamespace")';
					'doc.frgm.xsd.schemas.profile.version','getBooleanParam("doc.overview.xsd.files.profile.version")';
					'doc.frgm.xsd.schemas.profile.components','getBooleanParam("doc.overview.xsd.files.profile.components")';
					'doc.frgm.xsd.schemas.profile.formDefault','getBooleanParam("doc.overview.xsd.files.profile.formDefault")';
					'doc.frgm.xsd.schemas.profile.blockDefault','getBooleanParam("doc.overview.xsd.files.profile.blockDefault")';
					'doc.frgm.xsd.schemas.profile.blockDefault.value','getBooleanParam("doc.overview.xsd.files.profile.blockDefault.value")';
					'doc.frgm.xsd.schemas.profile.blockDefault.meaning','getBooleanParam("doc.overview.xsd.files.profile.blockDefault.meaning")';
					'doc.frgm.xsd.schemas.profile.finalDefault','getBooleanParam("doc.overview.xsd.files.profile.finalDefault")';
					'doc.frgm.xsd.schemas.profile.finalDefault.value','getBooleanParam("doc.overview.xsd.files.profile.finalDefault.value")';
					'doc.frgm.xsd.schemas.profile.finalDefault.meaning','getBooleanParam("doc.overview.xsd.files.profile.finalDefault.meaning")';
					'doc.frgm.xsd.schemas.profile.relatedSchemas','getBooleanParam("doc.overview.xsd.files.profile.relatedSchemas")';
				}
				STYLE_OVERRIDES={
					'Summary Heading','ps3';
				}
				FMT={
					sec.spacing.before='12';
				}
				<HTARGET>
					HKEYS={
						'"schema-file-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
</ROOT>
CHECKSUM='TpZg7CfJ9o0u8v8YJtyJuZYf7U6T7cbuvuyd8qLmGmk'
</FLEXDOCXYZ_TEMPLATE>