<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2004-06-21 01:50:00'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='xs:schema'
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$schemaOverview';
		param.description='Indicates that this schema profile is included in the schema overview';
		param.type='boolean';
	}
	PARAM={
		param.name='$profileType';
		param.type='enum';
		param.enum.values='full;embedded';
	}
	PARAM={
		param.name='doc.frgm.xsd.schemas.profile';
		param.title='Schema Profile';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.xsd.schemas.profile.targetNamespace';
		param.title='Target Namespace';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.xsd.schemas.profile.version';
		param.title='Version';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.xsd.schemas.profile.components';
		param.title='Components';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.xsd.schemas.profile.formDefault';
		param.title='Default NS-Qualified Form';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.xsd.schemas.profile.blockDefault';
		param.title='Default Block Attribute';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.xsd.schemas.profile.blockDefault.value';
		param.title='Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.xsd.schemas.profile.blockDefault.meaning';
		param.title='Meaning';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.xsd.schemas.profile.finalDefault';
		param.title='Default Final Attribute';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.xsd.schemas.profile.finalDefault.value';
		param.title='Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.xsd.schemas.profile.finalDefault.meaning';
		param.title='Meaning';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.xsd.schemas.profile.relatedSchemas';
		param.title='Related Schemas';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.type='boolean';
	}
	PARAM={
		param.name='show.fileLocation';
		param.title='File Locations';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='page.refs';
		param.title='Generate page references';
		param.type='boolean';
		param.defaultValue='true';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Mono (Small)';
		style.id='cs3';
		text.font.name='Courier New';
		text.font.size='7.5';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Reference';
		style.id='cs4';
		text.font.name='Courier New';
		text.font.size='8';
	}
	CHAR_STYLE={
		style.name='Profile Item';
		style.id='cs5';
		text.font.name='Verdana';
		text.font.size='8';
	}
	CHAR_STYLE={
		style.name='Profile Item Note';
		style.id='cs6';
		text.font.name='Tahoma';
		text.font.size='8';
		text.font.style.italic='true';
	}
	PAR_STYLE={
		style.name='Profile Item Title';
		style.id='ps2';
		text.font.name='Arial';
		text.font.size='9';
		text.font.style.bold='true';
	}
	PAR_STYLE={
		style.name='Profile Item Title (Small)';
		style.id='ps3';
		text.font.size='8.4';
		text.font.style.bold='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs2';
}
<ROOT>
	<FOLDER>
		DESCR='FULL PROFILE'
		COND='hasParamValue("$profileType", "full")'
		BREAK_PARENT_BLOCK='when-executed'
		<BODY>
			<FOLDER>
				DESCR='Schema Source'
				FMT={
					sec.spacing.before='5';
				}
				<HEADER>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
									par.style='ps2';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Schema Source:'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						DESCR='in case of embedded schema'
						COND='hasServiceAttr("embedded")'
						BREAK_PARENT_BLOCK='when-executed'
						<AREA>
							<CTRL_GROUP>
								FMT={
									row.indent.block='true';
									text.style='cs5';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Embedded in'
									</TEXT_CTRL>
									<DATA_CTRL>
										CONTEXT_ELEMENT_EXPR='getXMLDocument()'
										MATCHING_ET='#DOCUMENT'
										ATTR='xmlName'
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  findChild("wsdl:definitions").callStockSection ("WSDL Link Title")'
											HKEYS={
												'contextElement.id';
												'"detail"';
											}
										</DOC_HLINK>
									</DATA_CTRL>
									<PANEL>
										COND='findHyperTarget (Array (
  contextElement.id,
  Array ("xml-source", "xml-source-location")
)) != null'
										FMT={
											ctrl.size.width='288.8';
											ctrl.size.height='59.3';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<SEPARATOR>
														FMT={
															txtfl.separator.type='text';
															txtfl.separator.text='; ';
														}
													</SEPARATOR>
													<TEXT_CTRL>
														TEXT='see'
													</TEXT_CTRL>
													<TEXT_CTRL>
														TEXT='XML source'
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'Array ("xml-source", "xml-source-location")';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
													<PANEL>
														COND='output.format.supportsPageRefs && 
getBooleanParam("page.refs")'
														FMT={
															ctrl.size.width='186';
															ctrl.size.height='38.3';
															txtfl.separator.type='none';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<SEPARATOR>
																		FMT={
																			txtfl.separator.type='nbsp';
																		}
																	</SEPARATOR>
																	<TEXT_CTRL>
																		TEXT='['
																		FMT={
																			text.style='cs4';
																		}
																	</TEXT_CTRL>
																	<DATA_CTRL>
																		DOCFIELD='page-htarget'
																		FMT={
																			ctrl.option.noHLinkFmt='true';
																			text.style='cs4';
																			text.hlink.fmt='none';
																		}
																		<DOC_HLINK>
																			HKEYS={
																				'contextElement.id';
																				'Array ("xml-source", "xml-source-location")';
																			}
																		</DOC_HLINK>
																	</DATA_CTRL>
																	<TEXT_CTRL>
																		TEXT=']'
																		FMT={
																			text.style='cs4';
																		}
																	</TEXT_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='in case of schema file'
						<AREA>
							<CTRL_GROUP>
								FMT={
									row.indent.block='true';
									text.style='cs5';
								}
								<CTRLS>
									<SS_CALL_CTRL>
										COND='getBooleanParam("show.fileLocation")'
										SS_NAME='Schema Name / Location'
										PARAMS_EXPR='Array (true)'
									</SS_CALL_CTRL>
									<PANEL>
										COND='findHyperTarget (
  Array (contextElement.id, "xml-source")
) != null'
										FMT={
											ctrl.size.width='282.8';
											ctrl.size.height='59.3';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<SEPARATOR>
														FMT={
															txtfl.separator.type='text';
															txtfl.separator.text='; ';
														}
													</SEPARATOR>
													<TEXT_CTRL>
														TEXT='see'
													</TEXT_CTRL>
													<TEXT_CTRL>
														TEXT='XML source'
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'"xml-source"';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
													<PANEL>
														COND='output.format.supportsPageRefs && 
getBooleanParam("page.refs")'
														FMT={
															ctrl.size.width='184.5';
															ctrl.size.height='38.3';
															txtfl.separator.type='none';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<SEPARATOR>
																		FMT={
																			txtfl.separator.type='nbsp';
																		}
																	</SEPARATOR>
																	<TEXT_CTRL>
																		TEXT='['
																		FMT={
																			text.style='cs4';
																		}
																	</TEXT_CTRL>
																	<DATA_CTRL>
																		DOCFIELD='page-htarget'
																		FMT={
																			ctrl.option.noHLinkFmt='true';
																			text.style='cs4';
																			text.hlink.fmt='none';
																		}
																		<DOC_HLINK>
																			HKEYS={
																				'contextElement.id';
																				'"xml-source"';
																			}
																		</DOC_HLINK>
																	</DATA_CTRL>
																	<TEXT_CTRL>
																		TEXT=']'
																		FMT={
																			text.style='cs4';
																		}
																	</TEXT_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<AREA_SEC>
				DESCR='Target Namespace'
				COND='getBooleanParam("doc.frgm.xsd.schemas.profile.targetNamespace")'
				FMT={
					sec.spacing.before='5';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							txtfl.separator.type='none';
							par.style='ps2';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Target Namespace'
							</TEXT_CTRL>
							<TEXT_CTRL>
								COND='getServiceAttr("targetNamespace") != getAttrValue("targetNamespace")'
								TEXT=' (adopted)'
							</TEXT_CTRL>
							<TEXT_CTRL>
								TEXT=':'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
					<CTRL_GROUP>
						FMT={
							row.indent.block='true';
							text.style='cs3';
						}
						<CTRLS>
							<DATA_CTRL>
								EXPR='(ns = getServiceAttr("targetNamespace")) != "" ? ns : "{no namespace}"'
								<DOC_HLINK>
									HKEYS={
										'getServiceAttr("targetNamespace")';
										'"detail"';
									}
								</DOC_HLINK>
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='Version'
				COND='getBooleanParam("doc.frgm.xsd.schemas.profile.version")
&&
hasAttr("version")'
				FMT={
					sec.spacing.before='5';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							par.style='ps2';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Version:'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
					<CTRL_GROUP>
						FMT={
							row.indent.block='true';
							text.style='cs5';
						}
						<CTRLS>
							<DATA_CTRL>
								ATTR='version'
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<FOLDER>
				DESCR='components defined in this schema'
				COND='getBooleanParam("doc.frgm.xsd.schemas.profile.components")'
				FMT={
					sec.spacing.before='5';
				}
				<HEADER>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								FMT={
									par.style='ps2';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Defined Components:'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<SS_CALL>
						SS_NAME='Defined Components'
						FMT={
							sec.outputStyle='text-par';
							sec.indent.block='true';
							text.style='cs5';
						}
					</SS_CALL>
				</BODY>
			</FOLDER>
			<AREA_SEC>
				DESCR='Default Namespace-Qualified Form'
				COND='getBooleanParam("doc.frgm.xsd.schemas.profile.formDefault")
&&
(hasAttr("elementFormDefault") ||
 hasAttr("attributeFormDefault"))'
				FMT={
					sec.spacing.before='5';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							par.style='ps2';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Default Namespace-Qualified Form:'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
					<CTRL_GROUP>
						FMT={
							row.indent.block='true';
							text.style='cs5';
						}
						<CTRLS>
							<PANEL>
								COND='hasAttr("elementFormDefault")'
								FMT={
									ctrl.size.width='158.3';
									ctrl.size.height='38.3';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Local Elements:'
											</TEXT_CTRL>
											<DATA_CTRL>
												ATTR='elementFormDefault'
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='text';
									txtfl.separator.text='; ';
								}
							</SEPARATOR>
							<PANEL>
								COND='hasAttr("attributeFormDefault")'
								FMT={
									ctrl.size.width='158.3';
									ctrl.size.height='38.3';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Local Attributes:'
											</TEXT_CTRL>
											<DATA_CTRL>
												COND='hasAttr("attributeFormDefault")'
												ATTR='attributeFormDefault'
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='Default Block Attribute'
				COND='getBooleanParam("doc.frgm.xsd.schemas.profile.blockDefault")
&&
getAttrValue ("blockDefault") != null'
				FMT={
					sec.spacing.before='5';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							txtfl.separator.type='none';
							par.style='ps2';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Default Block Attribute:'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
					<CTRL_GROUP>
						FMT={
							row.indent.block='true';
							text.style='cs5';
						}
						<CTRLS>
							<SS_CALL_CTRL>
								SS_NAME='Default Block Attribute'
							</SS_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='Default Final Attribute'
				COND='getBooleanParam("doc.frgm.xsd.schemas.profile.finalDefault")
&&
getAttrValue ("finalDefault") != null'
				FMT={
					sec.spacing.before='5';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							txtfl.separator.type='none';
							par.style='ps2';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Default Final Attribute:'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
					<CTRL_GROUP>
						FMT={
							row.indent.block='true';
							text.style='cs5';
						}
						<CTRLS>
							<SS_CALL_CTRL>
								SS_NAME='Default Final Attribute'
							</SS_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<FOLDER COLLAPSED='true'>
				DESCR='Related Schemas'
				COND='getBooleanParam("doc.frgm.xsd.schemas.profile.relatedSchemas")'
				<BODY>
					<ELEMENT_ITER COLLAPSED='true'>
						DESCR='imports schemas'
						TARGET_ET='xs:import'
						SCOPE='simple-location-rules'
						RULES={
							'* -> xs:import';
						}
						FILTER='checkElementsByKey ("referenced-xml", contextElement.id)'
						SORTING='by-expr'
						SORTING_KEY={expr='schema = findElementByKey ("referenced-xml", contextElement.id);
schema.getXMLDocument().getAttrStringValue("xmlName")',ascending}
						FMT={
							sec.outputStyle='list';
							sec.spacing.before='5';
							list.type='delimited';
							list.item.separator.type='none';
							list.item.separator.text='';
							list.indent.block='true';
						}
						<HEADER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.style='ps2';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Imports Schemas'
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='"(" + iterator.numItems + "):"'
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<SS_CALL>
								SS_NAME='Referenced Schema'
								PASSED_ELEMENT_EXPR='findElementByKey ("referenced-xml", contextElement.id)'
								PASSED_ELEMENT_MATCHING_ET='xs:schema'
								PARAMS_EXPR='Array (contextElement)'
								FMT={
									text.style='cs5';
								}
							</SS_CALL>
						</BODY>
					</ELEMENT_ITER>
					<ELEMENT_ITER COLLAPSED='true'>
						DESCR='includes schemas'
						TARGET_ET='xs:include'
						SCOPE='simple-location-rules'
						RULES={
							'* -> xs:include';
						}
						FILTER='checkElementsByKey ("referenced-xml", contextElement.id)'
						SORTING='by-expr'
						SORTING_KEY={expr='schema = findElementByKey ("referenced-xml", contextElement.id);
schema.getXMLDocument().getAttrStringValue("xmlName")',ascending}
						FMT={
							sec.outputStyle='list';
							sec.spacing.before='5';
							list.type='delimited';
							list.item.separator.type='none';
							list.item.separator.text='';
							list.indent.block='true';
						}
						<HEADER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.style='ps2';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Includes Schemas'
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='"(" + iterator.numItems + "):"'
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<SS_CALL>
								SS_NAME='Referenced Schema'
								PASSED_ELEMENT_EXPR='findElementByKey ("referenced-xml", contextElement.id)'
								PASSED_ELEMENT_MATCHING_ET='xs:schema'
								PARAMS_EXPR='Array (contextElement)'
								FMT={
									text.style='cs5';
								}
							</SS_CALL>
						</BODY>
					</ELEMENT_ITER>
					<ELEMENT_ITER COLLAPSED='true'>
						DESCR='redefines schemas'
						TARGET_ET='xs:redefine'
						SCOPE='simple-location-rules'
						RULES={
							'* -> xs:redefine';
						}
						FILTER='checkElementsByKey ("referenced-xml", contextElement.id)'
						SORTING='by-expr'
						SORTING_KEY={expr='schema = findElementByKey ("referenced-xml", contextElement.id);
schema.getXMLDocument().getAttrStringValue("xmlName")',ascending}
						FMT={
							sec.outputStyle='list';
							sec.spacing.before='5';
							list.type='delimited';
							list.item.separator.type='none';
							list.item.separator.text='';
							list.indent.block='true';
						}
						<HEADER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.style='ps2';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Redefines Schemas'
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='"(" + iterator.numItems + "):"'
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<SS_CALL>
								SS_NAME='Referenced Schema'
								PASSED_ELEMENT_EXPR='findElementByKey ("referenced-xml", contextElement.id)'
								PASSED_ELEMENT_MATCHING_ET='xs:schema'
								PARAMS_EXPR='Array (contextElement)'
								FMT={
									text.style='cs5';
								}
							</SS_CALL>
						</BODY>
					</ELEMENT_ITER>
					<ELEMENT_ITER COLLAPSED='true'>
						DESCR='imported by schemas'
						TARGET_ET='xs:import'
						SCOPE='custom'
						ELEMENT_ENUM_EXPR='findElementsByKey ("xml-references", contextElement.id)'
						SORTING='by-expr'
						SORTING_KEY={expr='getXMLDocument().getAttrStringValue("xmlName")',ascending}
						FMT={
							sec.outputStyle='list';
							sec.spacing.before='5';
							list.type='delimited';
							list.item.separator.type='none';
							list.item.separator.text='';
							list.indent.block='true';
						}
						<HEADER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.style='ps2';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Imported by Schemas'
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='"(" + iterator.numItems + "):"'
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<SS_CALL>
								SS_NAME='Referenced Schema'
								PASSED_ELEMENT_EXPR='findAncestor("xs:schema")'
								PASSED_ELEMENT_MATCHING_ET='xs:schema'
								PARAMS_EXPR='Array (contextElement)'
								FMT={
									text.style='cs5';
								}
							</SS_CALL>
						</BODY>
					</ELEMENT_ITER>
					<ELEMENT_ITER COLLAPSED='true'>
						DESCR='included in schemas'
						TARGET_ET='xs:include'
						SCOPE='custom'
						ELEMENT_ENUM_EXPR='findElementsByKey ("xml-references", contextElement.id)'
						SORTING='by-expr'
						SORTING_KEY={expr='getXMLDocument().getAttrStringValue("xmlName")',ascending}
						FMT={
							sec.outputStyle='list';
							sec.spacing.before='5';
							list.type='delimited';
							list.item.separator.type='none';
							list.item.separator.text='';
							list.indent.block='true';
						}
						<HEADER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.style='ps2';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Included in Schemas'
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='"(" + iterator.numItems + "):"'
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<SS_CALL>
								SS_NAME='Referenced Schema'
								PASSED_ELEMENT_EXPR='findAncestor("xs:schema")'
								PASSED_ELEMENT_MATCHING_ET='xs:schema'
								PARAMS_EXPR='Array (contextElement)'
								FMT={
									text.style='cs5';
								}
							</SS_CALL>
						</BODY>
					</ELEMENT_ITER>
					<ELEMENT_ITER COLLAPSED='true'>
						DESCR='redefined in schemas'
						TARGET_ET='xs:redefine'
						SCOPE='custom'
						ELEMENT_ENUM_EXPR='findElementsByKey ("xml-references", contextElement.id)'
						SORTING='by-expr'
						SORTING_KEY={expr='getXMLDocument().getAttrStringValue("xmlName")',ascending}
						FMT={
							sec.outputStyle='list';
							sec.spacing.before='5';
							list.type='delimited';
							list.item.separator.type='none';
							list.item.separator.text='';
							list.indent.block='true';
						}
						<HEADER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.style='ps2';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Redefined in Schemas'
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='"(" + iterator.numItems + "):"'
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<SS_CALL>
								SS_NAME='Referenced Schema'
								PASSED_ELEMENT_EXPR='findAncestor("xs:schema")'
								PASSED_ELEMENT_MATCHING_ET='xs:schema'
								PARAMS_EXPR='Array (contextElement)'
								FMT={
									text.style='cs5';
								}
							</SS_CALL>
						</BODY>
					</ELEMENT_ITER>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<FOLDER>
		DESCR='EMBEDDED PROFILE'
		COND='hasParamValue("$profileType", "embedded")'
		<BODY>
			<AREA_SEC>
				FMT={
					sec.spacing.before='5';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							par.style='ps3';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Target Namespace:'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
					<CTRL_GROUP>
						<CTRLS>
							<DATA_CTRL>
								EXPR='(ns = getAttrValue("targetNamespace")) != "" ? ns : "{no namespace}"'
								FMT={
									text.style='cs3';
								}
								<DOC_HLINK>
									HKEYS={
										'getAttrValue("targetNamespace")';
										'"detail"';
									}
								</DOC_HLINK>
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				COND='getBooleanParam("doc.frgm.xsd.schemas.profile.version")
&&
hasAttr("version")'
				FMT={
					sec.spacing.before='5';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							par.style='ps3';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Version:'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
					<CTRL_GROUP>
						FMT={
							text.style='cs5';
						}
						<CTRLS>
							<DATA_CTRL>
								ATTR='version'
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				FMT={
					sec.spacing.before='5';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							par.style='ps3';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Defined Components:'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
					<CTRL_GROUP>
						FMT={
							text.style='cs5';
						}
						<CTRLS>
							<SS_CALL_CTRL>
								SS_NAME='Defined Components'
								ALT_EXPR='"none"'
							</SS_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				COND='getBooleanParam("doc.frgm.xsd.schemas.profile.formDefault")
&&
(hasAttr("elementFormDefault") ||
 hasAttr("attributeFormDefault"))'
				FMT={
					sec.spacing.before='5';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							par.style='ps3';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Default Namespace-Qualified Form:'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
					<CTRL_GROUP>
						FMT={
							text.style='cs5';
						}
						<CTRLS>
							<PANEL>
								COND='hasAttr("elementFormDefault")'
								FMT={
									ctrl.size.width='155.3';
									ctrl.size.height='38.3';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Local Elements:'
											</TEXT_CTRL>
											<DATA_CTRL>
												ATTR='elementFormDefault'
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='text';
									txtfl.separator.text='; ';
								}
							</SEPARATOR>
							<PANEL>
								COND='hasAttr("attributeFormDefault")'
								FMT={
									ctrl.size.width='158.3';
									ctrl.size.height='38.3';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Local Attributes:'
											</TEXT_CTRL>
											<DATA_CTRL>
												COND='hasAttr("attributeFormDefault")'
												ATTR='attributeFormDefault'
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				COND='getBooleanParam("doc.frgm.xsd.schemas.profile.blockDefault")
&&
getAttrValue ("blockDefault") != null'
				FMT={
					sec.spacing.before='5';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							par.style='ps3';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Default Block Attribute:'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
					<CTRL_GROUP>
						FMT={
							text.style='cs5';
						}
						<CTRLS>
							<SS_CALL_CTRL>
								SS_NAME='Default Block Attribute'
							</SS_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				COND='getBooleanParam("doc.frgm.xsd.schemas.profile.finalDefault")
&&
getAttrValue ("finalDefault") != null'
				FMT={
					sec.spacing.before='5';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							par.style='ps3';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Default Final Attribute:'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
					<CTRL_GROUP>
						FMT={
							text.style='cs5';
						}
						<CTRLS>
							<SS_CALL_CTRL>
								SS_NAME='Default Final Attribute'
							</SS_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<FOLDER COLLAPSED='true'>
				DESCR='Related Schemas'
				COND='getBooleanParam("doc.frgm.xsd.schemas.profile.relatedSchemas")'
				<BODY>
					<ELEMENT_ITER COLLAPSED='true'>
						DESCR='imports schemas'
						TARGET_ET='xs:import'
						SCOPE='simple-location-rules'
						RULES={
							'* -> xs:import';
						}
						FILTER='checkElementsByKey ("referenced-xml", contextElement.id)'
						SORTING='by-expr'
						SORTING_KEY={expr='schema = findElementByKey ("referenced-xml", contextElement.id);
schema.getXMLDocument().getAttrStringValue("xmlName")',ascending}
						FMT={
							sec.outputStyle='list';
							sec.spacing.before='5';
							list.type='delimited';
							list.item.separator.type='none';
							list.item.separator.text='';
						}
						<HEADER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.style='ps3';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Imports Schemas'
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='"(" + iterator.numItems + "):"'
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<SS_CALL>
								SS_NAME='Referenced Schema'
								PASSED_ELEMENT_EXPR='findElementByKey ("referenced-xml", contextElement.id)'
								PASSED_ELEMENT_MATCHING_ET='xs:schema'
								PARAMS_EXPR='Array (contextElement)'
								FMT={
									text.style='cs5';
								}
							</SS_CALL>
						</BODY>
					</ELEMENT_ITER>
					<ELEMENT_ITER COLLAPSED='true'>
						DESCR='includes schemas'
						TARGET_ET='xs:include'
						SCOPE='simple-location-rules'
						RULES={
							'* -> xs:include';
						}
						FILTER='checkElementsByKey ("referenced-xml", contextElement.id)'
						SORTING='by-expr'
						SORTING_KEY={expr='schema = findElementByKey ("referenced-xml", contextElement.id);
schema.getXMLDocument().getAttrStringValue("xmlName")',ascending}
						FMT={
							sec.outputStyle='list';
							sec.spacing.before='5';
							list.type='delimited';
							list.item.separator.type='none';
							list.item.separator.text='';
						}
						<HEADER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.style='ps3';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Includes Schemas'
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='"(" + iterator.numItems + "):"'
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<SS_CALL>
								SS_NAME='Referenced Schema'
								PASSED_ELEMENT_EXPR='findElementByKey ("referenced-xml", contextElement.id)'
								PASSED_ELEMENT_MATCHING_ET='xs:schema'
								PARAMS_EXPR='Array (contextElement)'
								FMT={
									text.style='cs5';
								}
							</SS_CALL>
						</BODY>
					</ELEMENT_ITER>
					<ELEMENT_ITER COLLAPSED='true'>
						DESCR='redefines schemas'
						TARGET_ET='xs:redefine'
						SCOPE='simple-location-rules'
						RULES={
							'* -> xs:redefine';
						}
						FILTER='checkElementsByKey ("referenced-xml", contextElement.id)'
						SORTING='by-expr'
						SORTING_KEY={expr='schema = findElementByKey ("referenced-xml", contextElement.id);
schema.getXMLDocument().getAttrStringValue("xmlName")',ascending}
						FMT={
							sec.outputStyle='list';
							sec.spacing.before='5';
							list.type='delimited';
							list.item.separator.type='none';
							list.item.separator.text='';
						}
						<HEADER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.style='ps3';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Redefines Schemas'
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='"(" + iterator.numItems + "):"'
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<SS_CALL>
								SS_NAME='Referenced Schema'
								PASSED_ELEMENT_EXPR='findElementByKey ("referenced-xml", contextElement.id)'
								PASSED_ELEMENT_MATCHING_ET='xs:schema'
								PARAMS_EXPR='Array (contextElement)'
								FMT={
									text.style='cs5';
								}
							</SS_CALL>
						</BODY>
					</ELEMENT_ITER>
					<ELEMENT_ITER COLLAPSED='true'>
						DESCR='imported by schemas'
						TARGET_ET='xs:import'
						SCOPE='custom'
						ELEMENT_ENUM_EXPR='findElementsByKey ("xml-references", contextElement.id)'
						SORTING='by-expr'
						SORTING_KEY={expr='getXMLDocument().getAttrStringValue("xmlName")',ascending}
						FMT={
							sec.outputStyle='list';
							sec.spacing.before='5';
							list.type='delimited';
							list.item.separator.type='none';
							list.item.separator.text='';
						}
						<HEADER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.style='ps3';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Imported by Schemas'
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='"(" + iterator.numItems + "):"'
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<SS_CALL>
								SS_NAME='Referenced Schema'
								PASSED_ELEMENT_EXPR='findAncestor("xs:schema")'
								PASSED_ELEMENT_MATCHING_ET='xs:schema'
								PARAMS_EXPR='Array (contextElement)'
								FMT={
									text.style='cs5';
								}
							</SS_CALL>
						</BODY>
					</ELEMENT_ITER>
					<ELEMENT_ITER COLLAPSED='true'>
						DESCR='included in schemas'
						TARGET_ET='xs:include'
						SCOPE='custom'
						ELEMENT_ENUM_EXPR='findElementsByKey ("xml-references", contextElement.id)'
						SORTING='by-expr'
						SORTING_KEY={expr='getXMLDocument().getAttrStringValue("xmlName")',ascending}
						FMT={
							sec.outputStyle='list';
							sec.spacing.before='5';
							list.type='delimited';
							list.item.separator.type='none';
							list.item.separator.text='';
						}
						<HEADER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.style='ps3';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Included in Schemas'
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='"(" + iterator.numItems + "):"'
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<SS_CALL>
								SS_NAME='Referenced Schema'
								PASSED_ELEMENT_EXPR='findAncestor("xs:schema")'
								PASSED_ELEMENT_MATCHING_ET='xs:schema'
								PARAMS_EXPR='Array (contextElement)'
								FMT={
									text.style='cs5';
								}
							</SS_CALL>
						</BODY>
					</ELEMENT_ITER>
					<ELEMENT_ITER COLLAPSED='true'>
						DESCR='redefined in schemas'
						TARGET_ET='xs:redefine'
						SCOPE='custom'
						ELEMENT_ENUM_EXPR='findElementsByKey ("xml-references", contextElement.id)'
						SORTING='by-expr'
						SORTING_KEY={expr='getXMLDocument().getAttrStringValue("xmlName")',ascending}
						FMT={
							sec.outputStyle='list';
							sec.spacing.before='5';
							list.type='delimited';
							list.item.separator.type='none';
							list.item.separator.text='';
						}
						<HEADER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.style='ps3';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Redefined in Schemas'
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='"(" + iterator.numItems + "):"'
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<SS_CALL>
								SS_NAME='Referenced Schema'
								PASSED_ELEMENT_EXPR='findAncestor("xs:schema")'
								PASSED_ELEMENT_MATCHING_ET='xs:schema'
								PARAMS_EXPR='Array (contextElement)'
								FMT={
									text.style='cs5';
								}
							</SS_CALL>
						</BODY>
					</ELEMENT_ITER>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
</ROOT>
<STOCK_SECTIONS>
	<FOLDER>
		SS_NAME='Default Block Attribute'
		MATCHING_ET='xs:schema'
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("doc.frgm.xsd.schemas.profile.blockDefault.value")'
				FMT={
					txtfl.separator.type='none';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							text.style='cs3';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='"'
							</TEXT_CTRL>
							<DATA_CTRL>
								ATTR='blockDefault'
								FMT={
									txtfl.separator.text=' ';
								}
							</DATA_CTRL>
							<TEXT_CTRL>
								TEXT='"'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<FOLDER>
				DESCR='meaning'
				COND='getBooleanParam("doc.frgm.xsd.schemas.profile.blockDefault.meaning")'
				FMT={
					text.style='cs6';
				}
				<BODY>
					<AREA_SEC>
						DESCR='#all'
						COND='hasAttrValue("blockDefault", "#all")'
						BREAK_PARENT_BLOCK='when-executed'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='(blocks all substitutions of elements and their types both through substitution groups and xsi:type attribute in instance XML documents)'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<FOLDER>
						DESCR='substitution, ...'
						COND='hasAttrValue ("blockDefault", "substitution")'
						BREAK_PARENT_BLOCK='when-executed'
						<BODY>
							<AREA_SEC>
								DESCR='extension, restriction'
								COND='values = getAttrValues("blockDefault");

derivations = Vector();

values.contains ("extension") ?
  derivations.addElement ("extension");

values.contains ("restriction") ?
  derivations.addElement ("restriction");

derivations.size() > 0 ? 
{
  setVar ("blocked_derivations", derivations);
  true
} : false'
								BREAK_PARENT_BLOCK='when-executed'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='(blocks any substitutions of elements through substitution groups and substitutions of their types through xsi:type attribute by types derived by'
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='mergeStrings (
  getVar ("blocked_derivations").toVector(),
  ", ", " or "
)'
											</DATA_CTRL>
											<TEXT_CTRL>
												TEXT='from the types of the elements or any other complex types)'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='(blocks any substitutions of elements through substitution groups)'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
					<AREA_SEC>
						DESCR='extension, restriction'
						COND='values = values = getAttrValues("blockDefault");

derivations = Vector();

values.contains ("extension") ?
  derivations.addElement ("extension");

values.contains ("restriction") ?
  derivations.addElement ("restriction");

derivations.size() > 0 ? 
{
  setVar ("blocked_derivations", derivations);
  true
} : false'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='(blocks any substitutions of elements or their types both through xsi:type attribute and substitution groups by elements or types, derived by'
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='mergeStrings (
  getVar ("blocked_derivations").toVector(),
  ", ", " or "
)'
									</DATA_CTRL>
									<TEXT_CTRL>
										TEXT='from the types of the elements or any other complex types)'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='Default Final Attribute'
		MATCHING_ET='xs:schema'
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("doc.frgm.xsd.schemas.profile.finalDefault.value")'
				FMT={
					txtfl.separator.type='none';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							text.style='cs3';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='"'
							</TEXT_CTRL>
							<DATA_CTRL>
								ATTR='finalDefault'
								FMT={
									txtfl.separator.text=' ';
								}
							</DATA_CTRL>
							<TEXT_CTRL>
								TEXT='"'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<FOLDER>
				DESCR='meaning'
				COND='getBooleanParam("doc.frgm.xsd.schemas.profile.finalDefault.meaning")'
				FMT={
					text.style='cs6';
				}
				<BODY>
					<AREA_SEC>
						DESCR='#all'
						COND='hasAttrValue("finalDefault", "#all")'
						BREAK_PARENT_BLOCK='when-executed'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='(prohinits using elements defined in this schema as the heads of any substitution groups)'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='extension, restriction'
						COND='values = getAttrValues("finalDefault");

derivations = Vector();

values.contains ("extension") ?
  derivations.addElement ("extension");

values.contains ("restriction") ?
  derivations.addElement ("restriction");

derivations.size() > 0 ? 
{
  setVar ("blocked_derivations", derivations);
  true
} : false'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='(prohibits using element defined in this schema as the heads of substitution groups for elements whose types are derived by'
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='mergeStrings (
  getVar ("blocked_derivations").toVector(),
  ", ", " or "
)'
									</DATA_CTRL>
									<TEXT_CTRL>
										TEXT='from the types of the elements)'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='Defined Components'
		MATCHING_ET='xs:schema'
		FMT={
			sec.outputStyle='text-par';
			txtfl.separator.type='text';
			txtfl.separator.text=', ';
		}
		<BODY>
			<AREA_SEC>
				DESCR='elements'
				COND='global_count = countChildren ("xs:element");

local_count = countElementsByLPath (
  "descendant::xs:%localElement",
  BooleanQuery (
   ! hasAttr ("ref")
  )
);

global_count + local_count > 0 ? { 
  setVar ("global_count", global_count);
  setVar ("local_count", local_count);
  true 
} : false'
				<AREA>
					<CTRL_GROUP>
						FMT={
							text.spacing.nbsp='true';
							txtfl.separator.type='nbsp';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='elements'
								FMT={
									text.spacing.nbsp='true';
								}
								<DOC_HLINK>
									TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
									HKEYS={
										'contextElement.id';
										'"element-summary"';
									}
								</DOC_HLINK>
							</TEXT_CTRL>
							<TEXT_CTRL>
								TEXT='('
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='none';
								}
							</SEPARATOR>
							<PANEL>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "top-level-element-summary"
  )
) != null'
								FMT={
									ctrl.size.width='150.8';
									txtfl.separator.type='none';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='top-level'
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"top-level-element-summary"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
											<SEPARATOR>
												FMT={
													txtfl.separator.type='text';
													txtfl.separator.text=' / ';
												}
											</SEPARATOR>
											<TEXT_CTRL>
												COND='findHyperTarget (
  Array (
    contextElement.id,
    "other-element-summary"
  )
) != null'
												TEXT='other'
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"other-element-summary"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
											<SEPARATOR>
												FMT={
													txtfl.separator.type='none';
												}
											</SEPARATOR>
											<TEXT_CTRL>
												TEXT=';'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<PANEL>
								COND='getVar("global_count").toInt() > 0'
								FMT={
									ctrl.size.width='163.5';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<DATA_CTRL>
												EXPR='getVar("global_count")'
											</DATA_CTRL>
											<TEXT_CTRL>
												TEXT='global'
											</TEXT_CTRL>
											<SEPARATOR>
												FMT={
													txtfl.separator.type='nbtxt';
													txtfl.separator.text=' + ';
												}
											</SEPARATOR>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<PANEL>
								COND='getVar("local_count").toInt() > 0'
								FMT={
									ctrl.size.width='139.5';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<DATA_CTRL>
												EXPR='getVar("local_count")'
											</DATA_CTRL>
											<TEXT_CTRL>
												TEXT='local'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='none';
								}
							</SEPARATOR>
							<TEXT_CTRL>
								TEXT=')'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='complexTypes'
				COND='count = countElementsByLPath ("descendant::xs:complexType");

count > 0 ? { setVar ("count", count); true } : false'
				<AREA>
					<CTRL_GROUP>
						FMT={
							text.spacing.nbsp='true';
							txtfl.separator.type='nbsp';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='complexTypes'
								<DOC_HLINK>
									TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
									HKEYS={
										'contextElement.id';
										'"schema-complexType-summary"';
									}
								</DOC_HLINK>
							</TEXT_CTRL>
							<DATA_CTRL>
								EXPR='\'(\' + getVar("count") + \')\''
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='simpleTypes'
				COND='count = countElementsByLPath ("descendant::xs:simpleType");

count > 0 ? { setVar ("count", count); true } : false'
				<AREA>
					<CTRL_GROUP>
						FMT={
							text.spacing.nbsp='true';
							txtfl.separator.type='nbsp';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='simpleTypes'
								<DOC_HLINK>
									TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
									HKEYS={
										'contextElement.id';
										'"schema-simpleType-summary"';
									}
								</DOC_HLINK>
							</TEXT_CTRL>
							<DATA_CTRL>
								EXPR='\'(\' + getVar("count") + \')\''
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='element groups'
				COND='count = countElementsByLPath ("descendant::xs:group");

count > 0 ? { setVar ("count", count); true } : false'
				<AREA>
					<CTRL_GROUP>
						FMT={
							text.spacing.nbsp='true';
							txtfl.separator.type='nbsp';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='element groups'
								<DOC_HLINK>
									TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
									HKEYS={
										'contextElement.id';
										'"schema-group-summary"';
									}
								</DOC_HLINK>
							</TEXT_CTRL>
							<DATA_CTRL>
								EXPR='\'(\' + getVar("count") + \')\''
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='global attributes'
				COND='count = countChildren ("xs:attribute");

count > 0 ? { setVar ("count", count); true } : false'
				<AREA>
					<CTRL_GROUP>
						FMT={
							text.spacing.nbsp='true';
							txtfl.separator.type='nbsp';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='global attributes'
								<DOC_HLINK>
									TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
									HKEYS={
										'contextElement.id';
										'"schema-attribute-summary"';
									}
								</DOC_HLINK>
							</TEXT_CTRL>
							<DATA_CTRL>
								EXPR='\'(\' + getVar("count") + \')\''
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='attribute groups'
				COND='count = countElementsByLPath ("descendant::xs:attributeGroup");

count > 0 ? { setVar ("count", count); true } : false'
				<AREA>
					<CTRL_GROUP>
						FMT={
							text.spacing.nbsp='true';
							txtfl.separator.type='nbsp';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='attribute groups'
								<DOC_HLINK>
									TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
									HKEYS={
										'contextElement.id';
										'"schema-attributeGroup-summary"';
									}
								</DOC_HLINK>
							</TEXT_CTRL>
							<DATA_CTRL>
								EXPR='\'(\' + getVar("count") + \')\''
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='Referenced Schema'
		DESCR='param[0] - schema reference element (xs:import, xs:import, xs:redefine)'
		MATCHING_ET='xs:schema'
		FMT={
			sec.outputStyle='text-par';
		}
		<BODY>
			<AREA_SEC>
				COND='! checkElementsByKey ("documented-schemas", contextElement.id)
&&
getBooleanParam("show.fileLocation")'
				BREAK_PARENT_BLOCK='when-executed'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='nl';
									txtfl.separator.text=',';
								}
							</SEPARATOR>
							<SS_CALL_CTRL>
								SS_NAME='Schema Name / Location'
								PARAMS_EXPR='Array (true)'
							</SS_CALL_CTRL>
							<PANEL>
								COND='getBooleanParam("$schemaOverview")
&&
! output.format.supportsPagination
&&
findHyperTarget (Array (
  stockSection.param.toElement().id,
  "xml-source-location"
)) != null'
								FMT={
									ctrl.size.width='96.8';
									ctrl.size.height='38.3';
									txtfl.separator.type='none';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<SEPARATOR>
												FMT={
													txtfl.separator.type='nbsp';
												}
											</SEPARATOR>
											<TEXT_CTRL>
												TEXT='['
											</TEXT_CTRL>
											<TEXT_CTRL>
												TEXT='src'
												<DOC_HLINK>
													TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see within schema source"'
													HKEYS={
														'stockSection.param.toElement().id';
														'"xml-source-location"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
											<TEXT_CTRL>
												TEXT=']'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='nl';
									txtfl.separator.text=',';
								}
							</SEPARATOR>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<SS_CALL_CTRL>
								SS_NAME='Schema Name / Location'
								PARAMS_EXPR='Array (false)'
							</SS_CALL_CTRL>
							<PANEL>
								COND='getBooleanParam("$schemaOverview")
&&
! output.format.supportsPagination
&&
findHyperTarget (Array (
  stockSection.param.toElement().id,
  "xml-source-location"
)) != null'
								FMT={
									ctrl.size.width='96.8';
									ctrl.size.height='38.3';
									txtfl.separator.type='none';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<SEPARATOR>
												FMT={
													txtfl.separator.type='nbsp';
												}
											</SEPARATOR>
											<TEXT_CTRL>
												TEXT='['
											</TEXT_CTRL>
											<TEXT_CTRL>
												TEXT='src'
												<DOC_HLINK>
													TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see within schema source"'
													HKEYS={
														'stockSection.param.toElement().id';
														'"xml-source-location"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
											<TEXT_CTRL>
												TEXT=']'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='text';
									txtfl.separator.text=', ';
								}
							</SEPARATOR>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		SS_NAME='Schema Name / Location'
		DESCR='param[0] - indicates whether to show file location'
		MATCHING_ET='xs:schema'
		TEMPLATE_FILE='schemaName.tpl'
		PASSED_PARAMS={
			'$showLocation','stockSection.param.toBoolean()';
		}
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Link Title'
		MATCHING_ET='wsdl:definitions'
		TEMPLATE_FILE='../../wsdl/file/wsdlLinkTitle.tpl'
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='hFauYEnqgJEP8GrNWyS8sI9n67tnNTEhZiYqKZ0dLxg'
</FLEXDOCXYZ_TEMPLATE>