<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2004-06-21 01:50:00'
LAST_UPDATE='2021-11-28 13:49:08'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-xsddoc2'
APP_NAME='FlexDoc/XML XSDDoc'
APP_VER='2.9.5'
APP_AUTHOR='Copyright © 2005-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='xsddoc'
ROOT_ET='xs:schema'
TITLE_EXPR='title = \'Schema "\' + getXMLDocument().getAttrStringValue("xmlName") + \'"\';

(parentTitle = getStringParam("docTitle")) != null
  ? title + " | " + parentTitle : title'
HTML_HEAD_EXPR='title = \'Schema "\' + getXMLDocument().getAttrStringValue("xmlName") + \'"\';

(parentTitle = getStringParam("docTitle")) != null
  ? title = title + " | " + parentTitle;

\'<script type="text/javascript">
    window.onload = function() {
        parent.document.title="\' + encodeJScriptString (title) + \'";
    }
</script>\''
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXSD';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey ("main-xsds", getXMLDocument().id)';
	}
	PARAM={
		param.name='$nsURI';
		param.title='Namespace URI';
		param.type='string';
		param.defaultValue.expr='getServiceAttr("targetNamespace")';
		param.fixed='true';
	}
	PARAM={
		param.name='$scope';
		param.description='Specifies the scope passed to subtemplates (called from this template):
<ul>
<li>"any" - unspecified</li>
<li>"namespace" - namespace overview</li>
<li>"schema" - schema overview</li>
</ul>';
		param.type='enum';
		param.enum.values='any;namespace;schema';
		param.defaultValue='schema';
		param.fixed='true';
	}
	PARAM={
		param.name='$page.heading.left';
		param.title='Page Heading (on the left)';
		param.type='string';
		param.defaultValue.expr='\'XML Schema "\' + getXMLDocument().getAttrStringValue("xmlName") + \'"\'';
		param.fixed='true';
	}
	PARAM={
		param.name='docTitle';
		param.title='Documentation Title';
		param.type='string';
	}
	PARAM={
		param.name='doc.schema';
		param.title='Schema Overview';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='doc.schema.profile';
		param.title='Schema Profile';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.annotation';
		param.title='Annotation';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps';
		param.title='Component Summary';
		param.title.style.bold='true';
		param.group='true';
		param.group.enablingExpr='getBooleanParam("")';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.schema.comps.for.elements';
		param.title='Elements';
		param.title.style.italic='true';
		param.group='true';
		param.group.enablingExpr='getBooleanParam("")';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.for.elements.local';
		param.title='Local Elements';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='all;complexType;none';
		param.enum.displayValues='all;with complex type;none';
	}
	PARAM={
		param.name='doc.schema.comps.for.complexTypes';
		param.title='Complex Types';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.for.simpleTypes';
		param.title='Simple Types';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.for.groups';
		param.title='Element Groups';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.for.attributeGroups';
		param.title='Attribute Groups';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.for.attributes';
		param.title='Global Attributes';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.annotation';
		param.title='Annotation';
		param.type='enum';
		param.enum.values='first_sentence;full;none';
		param.enum.displayValues='first sentence;full;none';
	}
	PARAM={
		param.name='doc.schema.comps.profile';
		param.title='Component Profile';
		param.group='true';
		param.group.enablingExpr='getBooleanParam("")';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.profile.namespace';
		param.title='Namespace';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.profile.type';
		param.title='Type';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.profile.content';
		param.title='Content';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.profile.abstract';
		param.title='Abstract';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.profile.block';
		param.title='Block';
		param.group='true';
		param.group.enablingExpr='! hasParamValue("", "none")';
		param.type='enum';
		param.enum.values='any;non_default;none';
		param.enum.displayValues='any;non-default only;none';
	}
	PARAM={
		param.name='doc.schema.comps.profile.block.value';
		param.title='Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.profile.block.meaning';
		param.title='Meaning';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.profile.final';
		param.title='Final';
		param.group='true';
		param.group.enablingExpr='! hasParamValue("", "none")';
		param.type='enum';
		param.enum.values='any;non_default;none';
		param.enum.displayValues='any;non-default only;none';
	}
	PARAM={
		param.name='doc.schema.comps.profile.final.value';
		param.title='Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.profile.final.meaning';
		param.title='Meaning';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.profile.subst';
		param.title='Subst.Gr';
		param.group='true';
		param.group.enablingExpr='getBooleanParam("")';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.profile.subst.heads';
		param.title='List of group heads';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.profile.subst.members';
		param.title='List of group members';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.profile.nillable';
		param.title='Nillable';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.profile.defined';
		param.title='Defined';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.profile.includes';
		param.title='Includes';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.profile.redefines';
		param.title='Redefines';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.profile.redefined';
		param.title='Redefined';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.profile.used';
		param.title='Used';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.lists';
		param.title='Related Component Lists';
		param.group='true';
		param.group.enablingExpr='getBooleanParam("")';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.lists.contentAttributes';
		param.title='Content Attributes';
		param.group='true';
		param.group.enablingExpr='getBooleanParam("")';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.lists.contentAttributes.value';
		param.title='Show Type/Value Info';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.lists.contentAttributes.wildcards';
		param.title='Include Wildcards';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.lists.contentElements';
		param.title='Content Elements';
		param.group='true';
		param.group.enablingExpr='getBooleanParam("")';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.comps.lists.contentElements.layout';
		param.title='List Layout';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='flow;one_column;two_columns;optimal';
		param.enum.displayValues='flow;one column;two columns;optimal';
		param.defaultValue='optimal';
	}
	PARAM={
		param.name='doc.schema.comps.lists.contentElements.wildcards';
		param.title='Include Wildcards';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.xml';
		param.title='XML Source';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.xml.separate';
		param.title='Separate File';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.xml.box';
		param.title='Enclose in Box';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.xml.remove.anns';
		param.title='Remove Annotations';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.start';
		param.title='Start from new page';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.start.schema';
		param.title='Schema Overview';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Description';
		style.id='cs2';
	}
	PAR_STYLE={
		style.name='Detail Heading 1';
		style.id='ps1';
		text.font.name='Verdana';
		text.font.size='13';
		text.font.style.bold='true';
		text.color.foreground='#4477AA';
		par.bkgr.opaque='true';
		par.bkgr.color='#EEEEEE';
		par.border.style='solid';
		par.border.color='#4477AA';
		par.margin.top='0';
		par.margin.bottom='7.5';
		par.padding.left='4';
		par.padding.right='4';
		par.padding.top='2.5';
		par.padding.bottom='2.5';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 4';
		style.id='ps2';
		text.font.size='12';
		text.font.style.bold='true';
		par.bkgr.opaque='true';
		par.bkgr.color='#CCCCFF';
		par.border.style='solid';
		par.border.color='#666666';
		par.margin.top='12';
		par.margin.bottom='8';
		par.padding.left='2';
		par.padding.right='2';
		par.padding.top='2';
		par.padding.bottom='2';
		par.page.keepWithNext='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs3';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps3';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs4';
		text.font.name='Arial';
		text.font.style.italic='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs3';
}
<HTARGET>
	HKEYS={
		'contextElement.id';
		'"detail"';
	}
</HTARGET>
<HTARGET>
	HKEYS={
		'getXMLDocument().id';
		'"detail"';
	}
</HTARGET>
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			text.style='cs4';
		}
		<AREA>
			<CTRL_GROUP>
				FMT={
					par.border.bottom.style='solid';
				}
				<CTRLS>
					<DATA_CTRL>
						EXPR='getStringParam("$page.heading.left")'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<TEMPLATE_CALL>
		COND='output.type == "document" && output.demoIncomplete'
		TEMPLATE_FILE='../demo-incomplete.tpl'
	</TEMPLATE_CALL>
	<AREA_SEC>
		FMT={
			par.style='ps1';
		}
		<AREA>
			<PAGE_BREAK>
				COND='getBooleanParam("page.start.schema")'
			</PAGE_BREAK>
			<CTRL_GROUP>
				<CTRLS>
					<TEXT_CTRL>
						TEXT='XML Schema'
					</TEXT_CTRL>
					<DATA_CTRL>
						EXPR='\'"\' + getXMLDocument().getAttrStringValue("xmlName") + \'"\''
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<TEMPLATE_CALL>
		COND='getBooleanParam("doc.schema.profile")'
		TEMPLATE_FILE='schemaProfile.tpl'
		PASSED_PARAMS={
			'$schemaSummary','true';
		}
		FMT={
			sec.spacing.before='10';
		}
	</TEMPLATE_CALL>
	<FOLDER COLLAPSED='true'>
		DESCR='Annotation'
		COND='getBooleanParam("doc.schema.annotation")'
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps2';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Annotation'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../ann/annotation.tpl'
				FMT={
					text.style='cs2';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		DESCR='COMPONENT SUMMARY'
		COND='getBooleanParam("doc.schema.comps")'
		FMT={
			sec.spacing.before='12';
		}
		<BODY>
			<TEMPLATE_CALL>
				DESCR='elements'
				COND='getBooleanParam("doc.schema.comps.for.elements")'
				TEMPLATE_FILE='../element/elementSummary.tpl'
				PASSED_PARAMS={
					'$hyperTargetFirstKey','contextElement.id';
					'doc.frgm.comps.for.elements','getBooleanParam("doc.schema.comps.for.elements")';
					'doc.frgm.comps.for.elements.local','getStringParam("doc.schema.comps.for.elements.local")';
					'doc.frgm.comps.sorting','getBooleanParam("doc.schema.comps.sorting")';
					'doc.frgm.comps.annotation','getStringParam("doc.schema.comps.annotation")';
					'doc.frgm.comps.profile','getBooleanParam("doc.schema.comps.profile")';
					'doc.frgm.comps.profile.namespace','getBooleanParam("doc.schema.comps.profile.namespace")';
					'doc.frgm.comps.profile.type','getBooleanParam("doc.schema.comps.profile.type")';
					'doc.frgm.comps.profile.content','getBooleanParam("doc.schema.comps.profile.content")';
					'doc.frgm.comps.profile.abstract','getBooleanParam("doc.schema.comps.profile.abstract")';
					'doc.frgm.comps.profile.block','getStringParam("doc.schema.comps.profile.block")';
					'doc.frgm.comps.profile.block.value','getBooleanParam("doc.schema.comps.profile.block.value")';
					'doc.frgm.comps.profile.block.meaning','getBooleanParam("doc.schema.comps.profile.block.meaning")';
					'doc.frgm.comps.profile.final','getStringParam("doc.schema.comps.profile.final")';
					'doc.frgm.comps.profile.final.value','getBooleanParam("doc.schema.comps.profile.final.value")';
					'doc.frgm.comps.profile.final.meaning','getBooleanParam("doc.schema.comps.profile.final.meaning")';
					'doc.frgm.comps.profile.subst','getBooleanParam("doc.schema.comps.profile.subst")';
					'doc.frgm.comps.profile.subst.heads','getBooleanParam("doc.schema.comps.profile.subst.heads")';
					'doc.frgm.comps.profile.subst.members','getBooleanParam("doc.schema.comps.profile.subst.members")';
					'doc.frgm.comps.profile.nillable','getBooleanParam("doc.schema.comps.profile.nillable")';
					'doc.frgm.comps.profile.defined','getBooleanParam("doc.schema.comps.profile.defined")';
					'doc.frgm.comps.profile.includes','getBooleanParam("doc.schema.comps.profile.includes")';
					'doc.frgm.comps.profile.used','getBooleanParam("doc.schema.comps.profile.used")';
					'doc.frgm.comps.lists','getBooleanParam("doc.schema.comps.lists")';
					'doc.frgm.comps.lists.contentAttributes','getBooleanParam("doc.schema.comps.lists.contentAttributes")';
					'doc.frgm.comps.lists.contentAttributes.value','getBooleanParam("doc.schema.comps.lists.contentAttributes.value")';
					'doc.frgm.comps.lists.contentAttributes.wildcards','getBooleanParam("doc.schema.comps.lists.contentAttributes.wildcards")';
					'doc.frgm.comps.lists.contentElements','getBooleanParam("doc.schema.comps.lists.contentElements")';
					'doc.frgm.comps.lists.contentElements.layout','getStringParam("doc.schema.comps.lists.contentElements.layout")';
					'doc.frgm.comps.lists.contentElements.wildcards','getBooleanParam("doc.schema.comps.lists.contentElements.wildcards")';
				}
				FMT={
					sec.spacing.before='10';
				}
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='complexTypes'
				COND='getBooleanParam("doc.schema.comps.for.complexTypes")'
				TEMPLATE_FILE='../type/complexTypeSummary.tpl'
				PASSED_PARAMS={
					'doc.frgm.comps.sorting','getBooleanParam("doc.schema.comps.sorting")';
					'doc.frgm.comps.annotation','getStringParam("doc.schema.comps.annotation")';
					'doc.frgm.comps.profile','getBooleanParam("doc.schema.comps.profile")';
					'doc.frgm.comps.profile.namespace','getBooleanParam("doc.schema.comps.profile.namespace")';
					'doc.frgm.comps.profile.content','getBooleanParam("doc.schema.comps.profile.content")';
					'doc.frgm.comps.profile.abstract','getBooleanParam("doc.schema.comps.profile.abstract")';
					'doc.frgm.comps.profile.block','getStringParam("doc.schema.comps.profile.block")';
					'doc.frgm.comps.profile.block.value','getBooleanParam("doc.schema.comps.profile.block.value")';
					'doc.frgm.comps.profile.block.meaning','getBooleanParam("doc.schema.comps.profile.block.meaning")';
					'doc.frgm.comps.profile.final','getStringParam("doc.schema.comps.profile.final")';
					'doc.frgm.comps.profile.final.value','getBooleanParam("doc.schema.comps.profile.final.value")';
					'doc.frgm.comps.profile.final.meaning','getBooleanParam("doc.schema.comps.profile.final.meaning")';
					'doc.frgm.comps.profile.defined','getBooleanParam("doc.schema.comps.profile.defined")';
					'doc.frgm.comps.profile.includes','getBooleanParam("doc.schema.comps.profile.includes")';
					'doc.frgm.comps.profile.redefines','getBooleanParam("doc.schema.comps.profile.redefines")';
					'doc.frgm.comps.profile.redefined','getBooleanParam("doc.schema.comps.profile.redefined")';
					'doc.frgm.comps.profile.used','getBooleanParam("doc.schema.comps.profile.used")';
					'doc.frgm.comps.lists','getBooleanParam("doc.schema.comps.lists")';
					'doc.frgm.comps.lists.contentAttributes','getBooleanParam("doc.schema.comps.lists.contentAttributes")';
					'doc.frgm.comps.lists.contentAttributes.value','getBooleanParam("doc.schema.comps.lists.contentAttributes.value")';
					'doc.frgm.comps.lists.contentAttributes.wildcards','getBooleanParam("doc.schema.comps.lists.contentAttributes.wildcards")';
					'doc.frgm.comps.lists.contentElements','getBooleanParam("doc.schema.comps.lists.contentElements")';
					'doc.frgm.comps.lists.contentElements.layout','getStringParam("doc.schema.comps.lists.contentElements.layout")';
					'doc.frgm.comps.lists.contentElements.wildcards','getBooleanParam("doc.schema.comps.lists.contentElements.wildcards")';
				}
				FMT={
					sec.spacing.before='10';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"complexType-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='simpleTypes'
				COND='getBooleanParam("doc.schema.comps.for.simpleTypes")'
				TEMPLATE_FILE='../type/simpleTypeSummary.tpl'
				PASSED_PARAMS={
					'doc.frgm.comps.sorting','getBooleanParam("doc.schema.comps.sorting")';
					'doc.frgm.comps.annotation','getStringParam("doc.schema.comps.annotation")';
					'doc.frgm.comps.profile','getBooleanParam("doc.schema.comps.profile")';
					'doc.frgm.comps.profile.namespace','getBooleanParam("doc.schema.comps.profile.namespace")';
					'doc.frgm.comps.profile.content','getBooleanParam("doc.schema.comps.profile.content")';
					'doc.frgm.comps.profile.abstract','getBooleanParam("doc.schema.comps.profile.abstract")';
					'doc.frgm.comps.profile.block','getStringParam("doc.schema.comps.profile.block")';
					'doc.frgm.comps.profile.block.value','getBooleanParam("doc.schema.comps.profile.block.value")';
					'doc.frgm.comps.profile.block.meaning','getBooleanParam("doc.schema.comps.profile.block.meaning")';
					'doc.frgm.comps.profile.final','getStringParam("doc.schema.comps.profile.final")';
					'doc.frgm.comps.profile.final.value','getBooleanParam("doc.schema.comps.profile.final.value")';
					'doc.frgm.comps.profile.final.meaning','getBooleanParam("doc.schema.comps.profile.final.meaning")';
					'doc.frgm.comps.profile.defined','getBooleanParam("doc.schema.comps.profile.defined")';
					'doc.frgm.comps.profile.includes','getBooleanParam("doc.schema.comps.profile.includes")';
					'doc.frgm.comps.profile.redefines','getBooleanParam("doc.schema.comps.profile.redefines")';
					'doc.frgm.comps.profile.redefined','getBooleanParam("doc.schema.comps.profile.redefined")';
					'doc.frgm.comps.profile.used','getBooleanParam("doc.schema.comps.profile.used")';
				}
				FMT={
					sec.spacing.before='10';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"simpleType-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='element groups'
				COND='getBooleanParam("doc.schema.comps.for.groups")'
				TEMPLATE_FILE='../groups/groupSummary.tpl'
				PASSED_PARAMS={
					'doc.frgm.comps.sorting','getBooleanParam("doc.schema.comps.sorting")';
					'doc.frgm.comps.annotation','getStringParam("doc.schema.comps.annotation")';
					'doc.frgm.comps.profile','getBooleanParam("doc.schema.comps.profile")';
					'doc.frgm.comps.profile.namespace','getBooleanParam("doc.schema.comps.profile.namespace")';
					'doc.frgm.comps.profile.content','getBooleanParam("doc.schema.comps.profile.content")';
					'doc.frgm.comps.profile.defined','getBooleanParam("doc.schema.comps.profile.defined")';
					'doc.frgm.comps.profile.includes','getBooleanParam("doc.schema.comps.profile.includes")';
					'doc.frgm.comps.profile.redefines','getBooleanParam("doc.schema.comps.profile.redefines")';
					'doc.frgm.comps.profile.redefined','getBooleanParam("doc.schema.comps.profile.redefined")';
					'doc.frgm.comps.profile.used','getBooleanParam("doc.schema.comps.profile.used")';
					'doc.frgm.comps.lists','getBooleanParam("doc.schema.comps.lists")';
					'doc.frgm.comps.lists.contentElements','getBooleanParam("doc.schema.comps.lists.contentElements")';
					'doc.frgm.comps.lists.contentElements.layout','getStringParam("doc.schema.comps.lists.contentElements.layout")';
					'doc.frgm.comps.lists.contentElements.wildcards','getBooleanParam("doc.schema.comps.lists.contentElements.wildcards")';
				}
				FMT={
					sec.spacing.before='10';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"group-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='attribute groups'
				COND='getBooleanParam("doc.schema.comps.for.attributeGroups")'
				TEMPLATE_FILE='../groups/attributeGroupSummary.tpl'
				PASSED_PARAMS={
					'doc.frgm.comps.sorting','getBooleanParam("doc.schema.comps.sorting")';
					'doc.frgm.comps.annotation','getStringParam("doc.schema.comps.annotation")';
					'doc.frgm.comps.profile','getBooleanParam("doc.schema.comps.profile")';
					'doc.frgm.comps.profile.namespace','getBooleanParam("doc.schema.comps.profile.namespace")';
					'doc.frgm.comps.profile.content','getBooleanParam("doc.schema.comps.profile.content")';
					'doc.frgm.comps.profile.defined','getBooleanParam("doc.schema.comps.profile.defined")';
					'doc.frgm.comps.profile.includes','getBooleanParam("doc.schema.comps.profile.includes")';
					'doc.frgm.comps.profile.redefines','getBooleanParam("doc.schema.comps.profile.redefines")';
					'doc.frgm.comps.profile.redefined','getBooleanParam("doc.schema.comps.profile.redefined")';
					'doc.frgm.comps.profile.used','getBooleanParam("doc.schema.comps.profile.used")';
					'doc.frgm.comps.lists','getBooleanParam("doc.schema.comps.lists")';
					'doc.frgm.comps.lists.contentAttributes','getBooleanParam("doc.schema.comps.lists.contentAttributes")';
					'doc.frgm.comps.lists.contentAttributes.value','getBooleanParam("doc.schema.comps.lists.contentAttributes.value")';
					'doc.frgm.comps.lists.contentAttributes.wildcards','getBooleanParam("doc.schema.comps.lists.contentAttributes.wildcards")';
				}
				FMT={
					sec.spacing.before='10';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"attributeGroup-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='global attributes'
				COND='getBooleanParam("doc.schema.comps.for.attributes")'
				TEMPLATE_FILE='../attribute/globalAttributeSummary.tpl'
				PASSED_PARAMS={
					'doc.frgm.comps.sorting','getBooleanParam("doc.schema.comps.sorting")';
					'doc.frgm.comps.annotation','getStringParam("doc.schema.comps.annotation")';
					'doc.frgm.comps.profile','getBooleanParam("doc.schema.comps.profile")';
					'doc.frgm.comps.profile.namespace','getBooleanParam("doc.schema.comps.profile.namespace")';
					'doc.frgm.comps.profile.type','getBooleanParam("doc.schema.comps.profile.type")';
					'doc.frgm.comps.profile.defined','getBooleanParam("doc.schema.comps.profile.defined")';
					'doc.frgm.comps.profile.used','getBooleanParam("doc.schema.comps.profile.used")';
				}
				FMT={
					sec.spacing.before='10';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"attribute-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		DESCR='XML SOURCE'
		COND='getBooleanParam("doc.schema.xml")
&&
! getBooleanParam("doc.schema.xml.separate")'
		TEMPLATE_FILE='schema-source.tpl'
		FMT={
			sec.spacing.before='12';
		}
	</TEMPLATE_CALL>
	<FOLDER COLLAPSED='true'>
		DESCR='Bottom Message'
		COND='output.type == "document"'
		<BODY>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../about.tpl'
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				COND='output.demoIncomplete'
				TEMPLATE_FILE='../demo-incomplete.tpl'
				PASSED_PARAMS={
					'$detailed','true';
				}
				FMT={
					sec.spacing.before='5';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
</ROOT>
CHECKSUM='t2SdZCS9QsAcEgyPKhV5qpXI+8qU54I2GAfnKf5xkKA'
</FLEXDOCXYZ_TEMPLATE>