<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2005-04-26 03:31:00'
LAST_UPDATE='2021-11-28 13:49:08'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-xsddoc2'
APP_NAME='FlexDoc/XML XSDDoc'
APP_VER='2.9.5'
APP_AUTHOR='Copyright © 2005-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='xsddoc'
ROOT_ET='xs:complexType'
TITLE_EXPR='title = getStringParam("$title");

(parentTitle = getStringParam("docTitle")) != null
  ? title + " | " + parentTitle : title'
HTML_HEAD_EXPR='title = getStringParam("$title");

(parentTitle = getStringParam("docTitle")) != null
  ? title = title + " | " + parentTitle;

\'<script type="text/javascript">
    window.onload = function() {
        parent.document.title="\' + encodeJScriptString (title) + \'";
    }
</script>\''
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXSD';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey ("main-xsds", getXMLDocument().id)';
	}
	PARAM={
		param.name='$nsURI';
		param.title='Target Namespace URI';
		param.type='string';
		param.defaultValue.expr='findAncestor("xs:schema").getServiceAttr("targetNamespace")';
		param.hidden='true';
	}
	PARAM={
		param.name='$xmlName';
		param.description='Displayed XML name (qualified or local) of the complexType';
		param.type='string';
		param.defaultValue.expr='toXMLName (getStringParam("$nsURI"), getAttrStringValue("name"))';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$title';
		param.title='Component\'s doc title';
		param.type='string';
		param.defaultValue.expr='\'complexType "\' + getParam("$xmlName") + \'"\'
+ 
(hasServiceAttr ("version") ?
  \' \' + callStockSection("version") : "")';
	}
	PARAM={
		param.name='$usageCount';
		param.description='number of locations where this type is used';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey ("type-usage", contextElement.id)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$contentModelKey';
		param.title='map key for "content-model-attributes", "content-model-elements"';
		param.description='The key for "content-model-attributes" and "content-model-elements" maps to find items associated with this component';
		param.type='Object';
		param.defaultValue.expr='contextElement.id';
		param.fixed='true';
	}
	PARAM={
		param.name='$attributeCount';
		param.title='number of all attributes';
		param.description='total number of attributes declared for this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-attributes", 
  getParam("$contentModelKey"),
  BooleanQuery (
   instanceOf ("xs:%attribute") &&
   getAttrValue("use") != "prohibited"
  )
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$attributeWildcardCount';
		param.title='number of all attr. wildcards';
		param.description='total number of attribute wildcards declared for this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-attributes", 
  getParam("$contentModelKey"),
  BooleanQuery (instanceOf ("xs:anyAttribute"))
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$ownAttributeCount';
		param.title='number of attributes defined in this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-attributes", 
  getParam("$contentModelKey"),
  BooleanQuery (
    instanceOf ("xs:%attribute") &&
    getAttrValue("use") != "prohibited" &&
    findPredecessorByType("xs:%element|xs:complexType|xs:attributeGroup").id
    == rootElement.id
  )
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$ownAttributeWildcardCount';
		param.title='number of attr. wildcards defined in this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-attributes", 
  getParam("$contentModelKey"),
  BooleanQuery (
    instanceOf ("xs:anyAttribute") &&
    findPredecessorByType("xs:%element|xs:complexType|xs:attributeGroup").id
    == rootElement.id
  )
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$ownAttributeProhibitionCount';
		param.title='number of attr. prohibitions specified in this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-attributes", 
  getParam("$contentModelKey"),
  BooleanQuery (
    getAttrValue("use") == "prohibited" &&
    findPredecessorByType("xs:%element|xs:complexType|xs:attributeGroup").id
    == rootElement.id
  )
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$elementCount';
		param.title='number of all content elements';
		param.description='total number of content elements declared for this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-elements", 
  getParam("$contentModelKey"),
  BooleanQuery (! instanceOf ("xs:any"))
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$elementWildcardCount';
		param.title='number of all element wildcards';
		param.description='total number of element wildcards declared for this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-elements", 
  getParam("$contentModelKey"),
  BooleanQuery (instanceOf ("xs:any"))
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$ownElementCount';
		param.title='number of elements defined in this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-elements", 
  getParam("$contentModelKey"),
  BooleanQuery (
    ! instanceOf ("xs:any") &&
    findPredecessorByType("xs:%element|xs:complexType|xs:group").id 
    == rootElement.id
  )
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$ownElementWildcardCount';
		param.title='number of element wildcards defined in this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-elements", 
  getParam("$contentModelKey"),
  BooleanQuery (
    instanceOf ("xs:any") &&
    findPredecessorByType("xs:%element|xs:complexType|xs:group").id 
    == rootElement.id
  )
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='docTitle';
		param.title='Documentation Title';
		param.type='string';
	}
	PARAM={
		param.name='doc.comp';
		param.title='Component Documentation';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='doc.comp.profile';
		param.title='Component Profile';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.diagram';
		param.title='Diagram';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.xmlRep';
		param.title='XML Representation Summary';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.xmlRep.for.complexType';
		param.title='Generate For Complex Types';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.xmlRep.sorting';
		param.title='Sorting';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.simpleContent';
		param.title='Simple Content Detail';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.simpleContent.restrictions';
		param.title='Restrictions';
		param.group='true';
		param.group.defaultState='expanded';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.simpleContent.restrictions.annotation';
		param.title='Annotations';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.lists';
		param.title='Lists of Related Components';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.lists.contentElements';
		param.title='List of Content Elements';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.usage';
		param.title='Usage / Definition Locations';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.usage.for.complexType';
		param.title='Complex Types';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.annotation';
		param.title='Annotation';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.annotation.for.complexType';
		param.title='Complex Types';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.type';
		param.title='Type Definition Detail';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.type.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.comp.type.for.type';
		param.title='Global Types';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.type.deriv.tree';
		param.title='Type Derivation Tree';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.type.annotation';
		param.title='Annotation';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.type.deriv.simpleContent';
		param.title='Simple Content Derivation';
		param.group='true';
		param.type='enum';
		param.enum.values='local;full;none';
	}
	PARAM={
		param.name='doc.comp.type.deriv.simpleContent.facets';
		param.title='Facets';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.type.deriv.simpleContent.annotations';
		param.title='Annotations';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.xml';
		param.title='XML Source';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.xml.box';
		param.title='Enclose in Box';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.xml.remove.anns';
		param.title='Remove Annotations';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes';
		param.title='Attribute Detail';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.comp.attributes.for.complexType';
		param.title='Complex Types';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements';
		param.title='Content Element Detail';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='doc.comp.contentElements.for.complexType';
		param.title='Complex Types';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.start';
		param.title='Start from new page';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.start.comp';
		param.title='Component Documentation';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Demo Excluded Message';
		style.id='cs2';
		text.font.style.italic='true';
		text.color.foreground='#FF0000';
	}
	CHAR_STYLE={
		style.name='Description';
		style.id='cs3';
	}
	PAR_STYLE={
		style.name='Detail Heading 1';
		style.id='ps1';
		text.font.name='Verdana';
		text.font.size='13';
		text.font.style.bold='true';
		text.color.foreground='#4477AA';
		par.bkgr.opaque='true';
		par.bkgr.color='#EEEEEE';
		par.border.style='solid';
		par.border.color='#4477AA';
		par.margin.top='0';
		par.margin.bottom='7.5';
		par.padding.left='4';
		par.padding.right='4';
		par.padding.top='2.5';
		par.padding.bottom='2.5';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 4';
		style.id='ps2';
		text.font.size='12';
		text.font.style.bold='true';
		par.bkgr.opaque='true';
		par.bkgr.color='#CCCCFF';
		par.border.style='solid';
		par.border.color='#666666';
		par.margin.top='12';
		par.margin.bottom='8';
		par.padding.left='2';
		par.padding.right='2';
		par.padding.top='2';
		par.padding.bottom='2';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 5';
		style.id='ps3';
		text.font.size='10';
		text.font.style.bold='true';
		par.margin.top='10';
		par.margin.bottom='8';
		par.page.keepWithNext='true';
	}
	HR_STYLE={
		style.name='Detail Separator';
		style.id='hrs1';
		hr.lineStyle='dashed';
		hr.color='#999999';
		hr.margin.top='10';
		hr.margin.bottom='10';
	}
	CHAR_STYLE={
		style.name='Heading Note';
		style.id='cs4';
		text.font.size='8';
		text.font.style.bold='false';
	}
	CHAR_STYLE={
		style.name='Heading Note Separator';
		style.id='cs5';
		text.font.size='8';
		text.font.style.bold='false';
		text.spacing.letter='3';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs6';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps4';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs7';
		text.font.name='Arial';
		text.font.style.italic='true';
	}
	PAR_STYLE={
		style.name='Property Title';
		style.id='ps5';
		text.font.size='8';
		text.font.style.bold='true';
		par.lineHeight='11';
		par.margin.right='5.8';
	}
	PAR_STYLE={
		style.name='Property Value';
		style.id='ps6';
		text.font.name='Verdana';
		text.font.size='8';
		par.margin.top='0';
		par.margin.bottom='0';
	}
	TABLE_STYLE={
		style.name='Representation Box';
		style.id='ts1';
		table.cell.padding.both='3';
		table.bkgr.color='#F5F5F5';
		table.border.style='solid';
		table.border.color='#999999';
		table.border.css.render='true';
		table.page.keepTogether='true';
	}
	TABLE_STYLE={
		style.name='XML Source Box';
		style.id='ts2';
		table.cell.padding.both='3';
		table.bkgr.color='#F5F5F5';
		table.border.style='solid';
		table.border.color='#999999';
		table.border.css.render='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs6';
}
<HTARGET>
	HKEYS={
		'contextElement.id';
		'"detail"';
	}
</HTARGET>
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			text.style='cs7';
		}
		<AREA>
			<CTRL_GROUP>
				FMT={
					par.border.bottom.style='solid';
				}
				<CTRLS>
					<DATA_CTRL>
						EXPR='getParam("$title")'
						FMT={
							text.font.style.italic='true';
						}
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<TEMPLATE_CALL>
		COND='output.type == "document" &&
output.demoIncomplete && ! exceedsDemoLimit("types")'
		TEMPLATE_FILE='../demo-incomplete.tpl'
	</TEMPLATE_CALL>
	<AREA_SEC>
		FMT={
			par.style='ps1';
		}
		<AREA>
			<PAGE_BREAK>
				COND='getBooleanParam("page.start.comp")'
			</PAGE_BREAK>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='getParam("$title")'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<FOLDER COLLAPSED='true'>
		DESCR='if this component is excluded from demo documentation'
		COND='exceedsDemoLimit("types")'
		BREAK_PARENT_BLOCK='when-executed'
		<BODY>
			<AREA_SEC>
				FMT={
					sec.spacing.before='10';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='content omitted'
								FMT={
									text.style='cs2';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<FOLDER>
				DESCR='Bottom Message'
				COND='output.type == "document"'
				<BODY>
					<TEMPLATE_CALL>
						TEMPLATE_FILE='../about.tpl'
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						TEMPLATE_FILE='../demo-incomplete.tpl'
						PASSED_PARAMS={
							'$detailed','true';
						}
						FMT={
							sec.spacing.before='5';
						}
					</TEMPLATE_CALL>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		DESCR='Type Profile'
		COND='getBooleanParam("doc.comp.profile")'
		ON_OUTPUT_EXPR='thisContext.setVar ("has-profile", true)'
		TEMPLATE_FILE='typeProfile.tpl'
	</TEMPLATE_CALL>
	<FOLDER COLLAPSED='true'>
		DESCR='Diagram / Content Model'
		FMT={
			sec.spacing.before='10';
			sec.spacing.after='10';
		}
		<BODY>
			<TEMPLATE_CALL>
				DESCR='Diagram'
				COND='getBooleanParam("doc.comp.diagram") && contextElement.hasImage'
				ON_OUTPUT_EXPR='thisContext.setVar ("has-diagram", true)'
				TEMPLATE_FILE='../diagramming/diagram.tpl'
				<HTARGET>
					COND='output.type == "document"'
					HKEYS={
						'contextElement.id';
						'"component-diagram"';
					}
					NAME_EXPR='"content_model_diagram"'
				</HTARGET>
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='XML Representation Summary'
				COND='getBooleanParam("doc.comp.xmlRep") &&
getBooleanParam("doc.comp.xmlRep.for.complexType")'
				ON_OUTPUT_EXPR='thisContext.setVar ("has-xml-rep-summary", true)'
				TEMPLATE_FILE='../component/xmlRep.tpl'
				PASSED_PARAMS={
					'$sorting','getBooleanParam("doc.comp.xmlRep.sorting")';
					'$abbreviateSimpleContent','getBooleanParam("doc.comp.simpleContent") &&
getBooleanParam("doc.comp.simpleContent.restrictions")';
				}
				<HTARGET>
					COND='output.type == "document"'
					HKEYS={
						'contextElement.id';
						'"xml-rep-summary"';
					}
					NAME_EXPR='"xml_rep_summary"'
				</HTARGET>
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<FOLDER COLLAPSED='true'>
		DESCR='Simple Content Restrictions'
		COND='getBooleanParam("doc.comp.simpleContent") &&
hasChild("xs:simpleContent")'
		ON_OUTPUT_EXPR='thisContext.setVar ("has-simple-content-detail", true)'
		<HEADER>
			<AREA_SEC>
				COND='(thisContext.checkVar ("has-profile") ||
 thisContext.checkVar ("has-diagram"))
&&
! thisContext.checkVar ("has-xml-rep-summary")'
				FMT={
					sec.outputStyle='pars';
				}
				<AREA>
					<HR>
						FMT={
							hr.style='hrs1';
						}
					</HR>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				FMT={
					par.style='ps3';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Simple Content Restrictions:'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<ELEMENT_ITER>
				DESCR='Iterate By Actual Facets'
				COND='getBooleanParam("doc.comp.simpleContent.restrictions")'
				TARGET_ET='xs:%facet'
				SCOPE='custom'
				ELEMENT_ENUM_EXPR='findElementsByKey ("facets", contextElement.id)'
				GROUPING_KEY_EXPR='instanceOf ("xs:enumeration | xs:pattern") ?
  contextElement.qName : contextElement.id'
				FMT={
					sec.outputStyle='table';
					table.cell.padding.both='0';
					table.border.style='none';
					table.border.css.render='true';
				}
				<BODY>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<DATA_CTRL>
										EXPR='name = contextElement.localName;
name.charAt(0).toUpperCase() + name.substring(1) + \':\''
										FMT={
											ctrl.size.width='32.3';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps5';
										}
									</DATA_CTRL>
									<TEMPLATE_CALL_CTRL>
										TEMPLATE_FILE='../component/facet.tpl'
										PASSED_PARAMS={
											'$facet.annotation','getBooleanParam("doc.comp.simpleContent.restrictions.annotation")';
											'$comp','rootElement';
										}
										FMT={
											ctrl.size.width='467.3';
											ctrl.size.height='18';
											tcell.align.vert='Bottom';
											par.style='ps6';
										}
									</TEMPLATE_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
		</BODY>
	</FOLDER>
	<FOLDER COLLAPSED='true'>
		DESCR='Lists of Related Components'
		COND='getBooleanParam("doc.comp.lists")'
		<HEADER>
			<AREA_SEC>
				COND='thisContext.checkVar ("has-simple-content-detail")
||
(thisContext.checkVar ("has-profile") || thisContext.checkVar ("has-diagram"))
&&
! thisContext.checkVar ("has-xml-rep-summary")'
				FMT={
					sec.outputStyle='pars';
				}
				<AREA>
					<HR>
						FMT={
							hr.style='hrs1';
						}
					</HR>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<TEMPLATE_CALL>
				DESCR='Content Element List'
				COND='getBooleanParam("doc.comp.lists.contentElements")
&&
getIntParam("$elementCount") > 0'
				TEMPLATE_FILE='../element/contentElementList.tpl'
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='Other related components'
				TEMPLATE_FILE='typeRelatedCompLists.tpl'
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		DESCR='Usage Locations'
		COND='getBooleanParam("doc.comp.usage") &&
getBooleanParam("doc.comp.usage.for.complexType")
&&
getIntParam("$usageCount") > 0'
		TEMPLATE_FILE='typeUsage.tpl'
	</TEMPLATE_CALL>
	<FOLDER COLLAPSED='true'>
		DESCR='Annotation'
		COND='getBooleanParam("doc.comp.annotation") &&
getBooleanParam("doc.comp.annotation.for.complexType")'
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps2';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Annotation'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../ann/annotation.tpl'
				FMT={
					text.style='cs3';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<FOLDER COLLAPSED='true'>
		DESCR='TYPE DEFINITION DETAIL'
		COND='getBooleanParam("doc.comp.type") &&
getBooleanParam("doc.comp.type.for.type")'
		<HTARGET>
			HKEYS={
				'contextElement.id';
				'"type-def-detail"';
			}
			NAME_EXPR='output.type == "document" ? "type_def_detail" : ""'
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps2';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Type Definition Detail'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("doc.comp.type.deriv.tree")
&&
getValueByLPath (
  "(xs:simpleContent | xs:complexContent) / (xs:extension | xs:restriction)/@base"
) != null'
				FMT={
					sec.outputStyle='table';
					sec.spacing.before='8';
					sec.spacing.after='8';
					table.style='ts1';
					table.sizing='Relative';
					table.autofit='false';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='typeDerivationTree.tpl'
								PASSED_PARAMS={
									'$xmlSourceLink','! getBooleanParam("doc.comp.xml")';
								}
								FMT={
									ctrl.size.width='499.5';
									ctrl.size.height='18';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				DESCR='in case this complexType has a simple content, print info on its definition'
				COND='! hasParamValue("doc.comp.type.deriv.simpleContent", "none")'
				TEMPLATE_FILE='../component/simpleContentDerivation.tpl'
				PASSED_PARAMS={
					'$deriv.simpleContent','getStringParam("doc.comp.type.deriv.simpleContent")';
					'$deriv.simpleContent.facets','getBooleanParam("doc.comp.type.deriv.simpleContent.facets")';
					'$deriv.simpleContent.annotations','getBooleanParam("doc.comp.type.deriv.simpleContent.annotations")';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<FOLDER COLLAPSED='true'>
		DESCR='XML SOURCE'
		COND='getBooleanParam("doc.comp.xml")'
		<HTARGET>
			HKEYS={
				'contextElement.id';
				'"xml-source"';
			}
			NAME_EXPR='output.type == "document" ? "xml_source" : ""'
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps2';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='XML Source'
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									text.style='cs5';
								}
							</SEPARATOR>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../xml/sourceNote.tpl'
								PASSED_PARAMS={
									'$remove.anns','getBooleanParam("doc.comp.xml.remove.anns")';
								}
								FMT={
									text.style='cs4';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("doc.comp.xml.box")'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.outputStyle='table';
					table.style='ts2';
					table.sizing='Relative';
					table.autofit='false';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../xml/nodeSource.tpl'
								PASSED_PARAMS={
									'$remove.anns','getBooleanParam("doc.comp.xml.remove.anns")';
								}
								FMT={
									ctrl.size.width='499.5';
									ctrl.size.height='18';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../xml/nodeSource.tpl'
				PASSED_PARAMS={
					'$remove.anns','getBooleanParam("doc.comp.xml.remove.anns")';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		DESCR='ATTRIBUTE DETAIL'
		COND='getBooleanParam("doc.comp.attributes") &&
getBooleanParam("doc.comp.attributes.for.complexType")'
		TEMPLATE_FILE='../attribute/contentAttributes.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='CONTENT ELEMENT DETAIL'
		COND='getBooleanParam("doc.comp.contentElements") &&
getBooleanParam("doc.comp.contentElements.for.complexType")'
		TEMPLATE_FILE='../element/contentElements.tpl'
	</TEMPLATE_CALL>
	<FOLDER COLLAPSED='true'>
		DESCR='Bottom Message'
		COND='output.type == "document"'
		<BODY>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../about.tpl'
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				COND='output.demoIncomplete'
				TEMPLATE_FILE='../demo-incomplete.tpl'
				PASSED_PARAMS={
					'$detailed','true';
				}
				FMT={
					sec.spacing.before='5';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
</ROOT>
<STOCK_SECTIONS>
	<AREA_SEC>
		SS_NAME='version'
		FMT={
			sec.outputStyle='text-par';
		}
		<AREA>
			<CTRL_GROUP>
				FMT={
					txtfl.separator.type='none';
				}
				<CTRLS>
					<TEXT_CTRL>
						TEXT='('
					</TEXT_CTRL>
					<DATA_CTRL>
						EXPR='(ver = getServiceAttr("version").toInt()) > 1
  ? "redefinition" + (ver > 2 || hasServiceAttr("redefineID") ? " " + (ver-1) : "")
  : "redefined"'
					</DATA_CTRL>
					<TEXT_CTRL>
						TEXT=')'
					</TEXT_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</STOCK_SECTIONS>
CHECKSUM='glMyezAN7F3XEwaC5SwAurICjRcyxH5hOzQsmjZJfmY'
</FLEXDOCXYZ_TEMPLATE>