<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2014-04-06 10:56:50'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='wsdl:operation%wsdl:tBindingOperation'
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXML';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey ("main-xmls", getXMLDocument().id)';
	}
	PARAM={
		param.name='$portTypeOperation';
		param.description='corresponding portType operation';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey (
  "wsdl-bound-operations",
  contextElement.id
)';
	}
	PARAM={
		param.name='$firstSentence';
		param.description='print only the first sentence of the description';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.altDesc';
		param.title='Alternative Descriptions';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.altDesc.operation';
		param.title='Operation';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.altDesc.operation.copyFrom';
		param.title='Copy From';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.altDesc.operation.copyFrom.portType.operation';
		param.title='Port Type Operation';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.altDesc.operation.copyFrom.input.message';
		param.title='Input Message';
		param.title.style.italic='true';
		param.group='true';
		param.group.defaultState='expanded';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.altDesc.operation.copyFrom.input.message.part.dataType';
		param.title='Data Type';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.altDesc.operation.copyFrom.output.message';
		param.title='Output Message';
		param.title.style.italic='true';
		param.group='true';
		param.group.defaultState='expanded';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.altDesc.operation.copyFrom.output.message.part.dataType';
		param.title='Data Type';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='page.refs';
		param.title='Generate page references';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Mono';
		style.id='cs3';
		text.font.name='Courier New';
		text.font.size='9';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Reference';
		style.id='cs4';
		text.font.name='Courier New';
		text.font.size='8';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs2';
}
<ROOT>
	<SS_CALL>
		DESCR='if this binding operation has its own documentation'
		BREAK_PARENT_BLOCK='when-output'
		SS_NAME='WSDL Documentation'
	</SS_CALL>
	<FOLDER>
		DESCR='otherwise, switch to the corresponding portType operation'
		CONTEXT_ELEMENT_EXPR='getElementParam("$portTypeOperation")'
		MATCHING_ET='wsdl:operation%wsdl:tOperation'
		<BODY>
			<SS_CALL>
				DESCR='print doc of the corresponding portType operation'
				COND='getBooleanParam("doc.wsdl.def.altDesc.operation.copyFrom.portType.operation")'
				BREAK_PARENT_BLOCK='when-output'
				SS_NAME='WSDL Documentation'
			</SS_CALL>
			<SS_CALL>
				DESCR='copy from input message'
				COND='getBooleanParam("doc.wsdl.def.altDesc.operation.copyFrom.input.message")
||
getBooleanParam("doc.wsdl.def.altDesc.operation.copyFrom.input.message.part.dataType")'
				BREAK_PARENT_BLOCK='when-output'
				SS_NAME='Copy From Message'
				PASSED_ELEMENT_EXPR='findElementByKey (
  "wsdl-messages",
  findChild("wsdl:input").getAttrQNameValue("message"),
  BooleanQuery (checkElementByKey (
    "main-xmls",
    getXMLDocument().id,
    getElementParam("$mainXML")
  ))
)'
				PASSED_ELEMENT_MATCHING_ET='wsdl:message'
				PARAMS_EXPR='Array (
  getBooleanParam("doc.wsdl.def.altDesc.operation.copyFrom.input.message"),
  getBooleanParam("doc.wsdl.def.altDesc.operation.copyFrom.input.message.part.dataType")
)'
			</SS_CALL>
			<SS_CALL>
				DESCR='copy from output message'
				COND='getBooleanParam("doc.wsdl.def.altDesc.operation.copyFrom.output.message")
||
getBooleanParam("doc.wsdl.def.altDesc.operation.copyFrom.output.message.part.dataType")'
				SS_NAME='Copy From Message'
				PASSED_ELEMENT_EXPR='findElementByKey (
  "wsdl-messages",
  findChild("wsdl:output").getAttrQNameValue("message"),
  BooleanQuery (checkElementByKey (
    "main-xmls",
    getXMLDocument().id,
    getElementParam("$mainXML")
  ))
)'
				PASSED_ELEMENT_MATCHING_ET='wsdl:message'
				PARAMS_EXPR='Array (
  getBooleanParam("doc.wsdl.def.altDesc.operation.copyFrom.output.message"),
  getBooleanParam("doc.wsdl.def.altDesc.operation.copyFrom.output.message.part.dataType")
)'
			</SS_CALL>
		</BODY>
	</FOLDER>
</ROOT>
<STOCK_SECTIONS>
	<FOLDER>
		SS_NAME='Copy From Message'
		DESCR='param[0] - copy message description;
param[1] - copy annotation of part\'s data type'
		MATCHING_ET='wsdl:message'
		<BODY>
			<FOLDER>
				DESCR='copy message description'
				COND='stockSection.params[0].toBoolean()'
				BREAK_PARENT_BLOCK='when-output'
				<HEADER>
					COND='! getBooleanParam("$firstSentence")'
					<AREA_SEC>
						FMT={
							text.font.style.bold='true';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Description copied from message:'
									</TEXT_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='WSDL Definition Name'
										FMT={
											text.style='cs3';
											txtfl.separator.type='text';
											txtfl.separator.text=', ';
										}
									</SS_CALL_CTRL>
									<PANEL>
										COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  "detail"
)) != null'
										FMT={
											ctrl.size.width='145.5';
											ctrl.size.height='38.3';
											text.style='cs4';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														DOCFIELD='page-htarget'
														FMT={
															ctrl.option.noHLinkFmt='true';
															text.hlink.fmt='none';
														}
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'"detail"';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<SS_CALL>
						SS_NAME='WSDL Documentation'
					</SS_CALL>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='message part (first)'
				COND='stockSection.params[1].toBoolean()'
				CONTEXT_ELEMENT_EXPR='findChild("wsdl:part")'
				MATCHING_ET='wsdl:part'
				INIT_EXPR='mainXMLFilter = BooleanQuery (
  checkElementByKey (
    "main-xmls",
    getXMLDocument().id,
    getElementParam("$mainXML")
  )
);

getAttrStringValue("element") != "" ?
{
  element = findElementByKey (
    "xsd-global-elements",
    getAttrQNameValue("element"),
    mainXMLFilter
  );

  thisContext.setVar ("element", element);

  thisContext.setVar (
    "elementType",
    findElementByKey ("xsd-element-types", element.id)
  )
};

getAttrStringValue("type") != "" ?
{
  thisContext.setVar (
    "type",
    findElementByKey (
      "xsd-types",
      getAttrQNameValue("type"),
      mainXMLFilter
    )
  )
}'
				<BODY>
					<FOLDER>
						DESCR='in case of \'element\' attribute, copy the annotation of the referenced XSD element or its type'
						COND='getAttrStringValue("element") != ""'
						<BODY>
							<FOLDER>
								DESCR='annotation copied from the referenced XSD element'
								BREAK_PARENT_BLOCK='when-output'
								<HEADER>
									COND='! getBooleanParam("$firstSentence")'
									<AREA_SEC>
										FMT={
											text.font.style.bold='true';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Description copied from element:'
													</TEXT_CTRL>
													<DATA_CTRL>
														ATTR='element'
														FMT={
															text.style='cs3';
														}
														<DOC_HLINK>
															CONTEXT_ELEMENT_EXPR='thisContext.getElementVar ("element")'
															MATCHING_ET='xs:element'
															TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("XSD Component Link Title")'
															HKEYS={
																'contextElement.id';
																'"detail"';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<PANEL>
														COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  thisContext.getElementVar("element").id,
  "detail"
)) != null'
														FMT={
															ctrl.size.width='145.5';
															ctrl.size.height='38.3';
															text.style='cs4';
															txtfl.separator.type='none';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<TEXT_CTRL>
																		TEXT='['
																	</TEXT_CTRL>
																	<DATA_CTRL>
																		DOCFIELD='page-htarget'
																		FMT={
																			ctrl.option.noHLinkFmt='true';
																			text.hlink.fmt='none';
																		}
																		<DOC_HLINK>
																			CONTEXT_ELEMENT_EXPR='thisContext.getElementVar ("element")'
																			MATCHING_ET='xs:element'
																			HKEYS={
																				'contextElement.id';
																				'"detail"';
																			}
																		</DOC_HLINK>
																	</DATA_CTRL>
																	<TEXT_CTRL>
																		TEXT=']'
																	</TEXT_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
								</HEADER>
								<BODY>
									<SS_CALL>
										SS_NAME='XSD Annotation'
										PASSED_ELEMENT_EXPR='thisContext.getElementVar ("element")'
										PASSED_ELEMENT_MATCHING_ET='xs:element'
									</SS_CALL>
								</BODY>
							</FOLDER>
							<FOLDER>
								DESCR='if no output produced, try to copied the annotation of the element\'s type'
								CONTEXT_ELEMENT_EXPR='thisContext.getElementVar ("elementType")'
								MATCHING_ETS={'xs:%complexType';'xs:%simpleType'}
								<HEADER>
									COND='! getBooleanParam("$firstSentence")'
									<AREA_SEC>
										MATCHING_ETS={'xs:complexType';'xs:simpleType'}
										BREAK_PARENT_BLOCK='when-executed'
										FMT={
											text.font.style.bold='true';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Description copied from type:'
													</TEXT_CTRL>
													<SS_CALL_CTRL>
														SS_NAME='XSD Component Name'
														FMT={
															text.style='cs3';
															txtfl.separator.type='text';
															txtfl.separator.text=', ';
														}
													</SS_CALL_CTRL>
													<PANEL>
														COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  "detail"
)) != null'
														FMT={
															ctrl.size.width='145.5';
															ctrl.size.height='38.3';
															text.style='cs4';
															txtfl.separator.type='none';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<TEXT_CTRL>
																		TEXT='['
																	</TEXT_CTRL>
																	<DATA_CTRL>
																		DOCFIELD='page-htarget'
																		FMT={
																			ctrl.option.noHLinkFmt='true';
																			text.hlink.fmt='none';
																		}
																		<DOC_HLINK>
																			HKEYS={
																				'contextElement.id';
																				'"detail"';
																			}
																		</DOC_HLINK>
																	</DATA_CTRL>
																	<TEXT_CTRL>
																		TEXT=']'
																	</TEXT_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
									<AREA_SEC>
										CONTEXT_ELEMENT_EXPR='sectionBlock.parentBlock.contextElement'
										MATCHING_ET='wsdl:part'
										FMT={
											text.font.style.bold='true';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Annotation copied from type of element:'
														FMT={
															text.font.style.bold='true';
														}
													</TEXT_CTRL>
													<DATA_CTRL>
														ATTR='element'
														FMT={
															text.style='cs3';
														}
														<DOC_HLINK>
															CONTEXT_ELEMENT_EXPR='thisContext.getElementVar ("element")'
															MATCHING_ET='xs:element'
															TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("XSD Component Link Title")'
															HKEYS={
																'contextElement.id';
																'"detail"';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<PANEL>
														COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  thisContext.getElementVar("element").id,
  "detail"
)) != null'
														FMT={
															ctrl.size.width='145.5';
															ctrl.size.height='38.3';
															text.style='cs4';
															txtfl.separator.type='none';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<TEXT_CTRL>
																		TEXT='['
																	</TEXT_CTRL>
																	<DATA_CTRL>
																		DOCFIELD='page-htarget'
																		FMT={
																			ctrl.option.noHLinkFmt='true';
																			text.hlink.fmt='none';
																		}
																		<DOC_HLINK>
																			CONTEXT_ELEMENT_EXPR='thisContext.getElementVar ("element")'
																			MATCHING_ET='xs:element'
																			HKEYS={
																				'contextElement.id';
																				'"detail"';
																			}
																		</DOC_HLINK>
																	</DATA_CTRL>
																	<TEXT_CTRL>
																		TEXT=']'
																	</TEXT_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
								</HEADER>
								<BODY>
									<SS_CALL>
										SS_NAME='XSD Annotation'
									</SS_CALL>
								</BODY>
							</FOLDER>
						</BODY>
					</FOLDER>
					<FOLDER>
						DESCR='in case of \'type\' attribute, copy the annotation from the referenced XSD type'
						COND='getAttrStringValue("type") != ""'
						<HEADER>
							COND='! getBooleanParam("$firstSentence")'
							<AREA_SEC>
								FMT={
									text.font.style.bold='true';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Description copied from type:'
											</TEXT_CTRL>
											<DATA_CTRL>
												ATTR='type'
												FMT={
													text.style='cs3';
												}
												<DOC_HLINK>
													CONTEXT_ELEMENT_EXPR='thisContext.getElementVar ("type")'
													MATCHING_ETS={'xs:complexType';'xs:simpleType'}
													TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("XSD Component Link Title")'
													HKEYS={
														'contextElement.id';
														'"detail"';
													}
												</DOC_HLINK>
											</DATA_CTRL>
											<PANEL>
												COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  thisContext.getElementVar("type").id,
  "detail"
)) != null'
												FMT={
													ctrl.size.width='145.5';
													ctrl.size.height='38.3';
													text.style='cs4';
													txtfl.separator.type='none';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='['
															</TEXT_CTRL>
															<DATA_CTRL>
																DOCFIELD='page-htarget'
																FMT={
																	ctrl.option.noHLinkFmt='true';
																	text.hlink.fmt='none';
																}
																<DOC_HLINK>
																	CONTEXT_ELEMENT_EXPR='thisContext.getElementVar ("type")'
																	MATCHING_ETS={'xs:complexType';'xs:simpleType'}
																	HKEYS={
																		'contextElement.id';
																		'"detail"';
																	}
																</DOC_HLINK>
															</DATA_CTRL>
															<TEXT_CTRL>
																TEXT=']'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<SS_CALL>
								SS_NAME='XSD Annotation'
								PASSED_ELEMENT_EXPR='thisContext.getElementVar ("type")'
								PASSED_ELEMENT_MATCHING_ETS={'xs:complexType';'xs:simpleType'}
							</SS_CALL>
						</BODY>
					</FOLDER>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Definition Name'
		DESCR='prints the qualified name of the WSDL definiton'
		TEMPLATE_FILE='../misc/defName.tpl'
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
	<FOLDER>
		SS_NAME='WSDL Documentation'
		MATCHING_ET='wsdl:%tDocumented'
		<BODY>
			<TEMPLATE_CALL>
				COND='getBooleanParam("$firstSentence")'
				BREAK_PARENT_BLOCK='when-executed'
				TEMPLATE_FILE='../misc/firstSentence.tpl'
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../../doc/docOutput.tpl'
				PASSED_ROOT_ELEMENT_EXPR='findChild("wsdl:documentation")'
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='XSD Annotation'
		MATCHING_ET='xs:%annotated'
		<BODY>
			<TEMPLATE_CALL>
				COND='getBooleanParam("$firstSentence")'
				BREAK_PARENT_BLOCK='when-executed'
				TEMPLATE_FILE='../../xsd/ann/firstSentence.tpl'
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../../xsd/ann/annotation.tpl'
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		SS_NAME='XSD Component Link Title'
		TEMPLATE_FILE='../../xsd/component/componentLinkTitle.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='XSD Component Name'
		DESCR='prints the qualified name of any global schema component or local element (passed as the stock-section context element)'
		TEMPLATE_FILE='../../xsd/component/componentName.tpl'
		PASSED_PARAMS={
			'$targetFrame','"detailFrame"';
		}
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='6l5Fi2OCeDd0Nk81ebMn2+z8xLBBL7tq7J5hjBjqBIE'
</FLEXDOCXYZ_TEMPLATE>