<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2012-07-01 01:08:10'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='xs:schema'
<TEMPLATE_PARAMS>
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='show.linkTitle.namespace';
		param.title='Namespace URI';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps1';
		style.default='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs2';
}
<ROOT>
	<AREA_SEC>
		DESCR='case of embedded schema'
		COND='hasServiceAttr("embedded")'
		BREAK_PARENT_BLOCK='when-executed'
		<AREA>
			<CTRL_GROUP>
				FMT={
					txtfl.separator.type='space';
				}
				<CTRLS>
					<TEXT_CTRL>
						TEXT='XML Schema for'
					</TEXT_CTRL>
					<DATA_CTRL>
						EXPR='\'{\' + ((nsURI = getAttrStringValue("targetNamespace")) != "" ? nsURI : "no namespace") + \'}\''
					</DATA_CTRL>
					<TEXT_CTRL>
						TEXT='in'
					</TEXT_CTRL>
					<DATA_CTRL>
						EXPR='getXMLDocument().getAttrStringValue("xmlName")'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<AREA_SEC>
		<AREA>
			<CTRL_GROUP>
				FMT={
					txtfl.separator.type='space';
				}
				<CTRLS>
					<TEXT_CTRL>
						TEXT='XML Schema'
					</TEXT_CTRL>
					<DATA_CTRL>
						EXPR='\'“\' + getXMLDocument().getAttrValue("xmlName") + \'”\''
					</DATA_CTRL>
					<PANEL>
						COND='getBooleanParam("show.linkTitle.namespace")'
						FMT={
							ctrl.size.width='354';
							ctrl.size.height='38.3';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='for'
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'{\' + ((nsURI = getServiceAttr("targetNamespace")) != "" ? nsURI : "no namespace") + \'}\''
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</PANEL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</ROOT>
CHECKSUM='bRcZFYtjtnLuFcIsiNv?C6OZh7zsFFo7rTmmHpNMXNo'
</FLEXDOCXYZ_TEMPLATE>